
_modShadowReg:

;FM_Click.mbas,97 :: 		dim reg_pos as byte                                                             'Index of register byte in shadow register
;FM_Click.mbas,99 :: 		reg_pos = 12 + (reg << 1)                                                     'Calculate position of register which needs to be modified  (Reg.0x00 is in position 12)
	MOVF        FARG_modShadowReg_reg+0, 0 
	MOVWF       R0 
	RLCF        R0, 1 
	BCF         R0, 0 
	MOVF        R0, 0 
	ADDLW       12
	MOVWF       R2 
;FM_Click.mbas,100 :: 		if (set_reset = one) then                                                     'Sets the desired bits in register
	MOVF        FARG_modShadowReg_set_reset+0, 0 
	XORLW       1
	BTFSS       STATUS+0, 2 
	GOTO        L__modShadowReg2
;FM_Click.mbas,101 :: 		shadowReg[reg_pos] = shadowReg[reg_pos] or Hi(value)                        'Split value to higher
	MOVLW       _shadowReg+0
	MOVWF       FSR1 
	MOVLW       hi_addr(_shadowReg+0)
	MOVWF       FSR1H 
	MOVF        R2, 0 
	ADDWF       FSR1, 1 
	BTFSC       STATUS+0, 0 
	INCF        FSR1H, 1 
	MOVLW       _shadowReg+0
	MOVWF       FSR0 
	MOVLW       hi_addr(_shadowReg+0)
	MOVWF       FSR0H 
	MOVF        R2, 0 
	ADDWF       FSR0, 1 
	BTFSC       STATUS+0, 0 
	INCF        FSR0H, 1 
	MOVF        FARG_modShadowReg_value+1, 0 
	IORWF       POSTINC0+0, 0 
	MOVWF       R0 
	MOVF        R0, 0 
	MOVWF       POSTINC1+0 
;FM_Click.mbas,102 :: 		inc(reg_pos)
	INCF        R2, 1 
;FM_Click.mbas,103 :: 		shadowReg[reg_pos] = shadowReg[reg_pos] or Lo(value)                        'and lower nibble
	MOVLW       _shadowReg+0
	MOVWF       FSR1 
	MOVLW       hi_addr(_shadowReg+0)
	MOVWF       FSR1H 
	MOVF        R2, 0 
	ADDWF       FSR1, 1 
	BTFSC       STATUS+0, 0 
	INCF        FSR1H, 1 
	MOVLW       _shadowReg+0
	MOVWF       FSR0 
	MOVLW       hi_addr(_shadowReg+0)
	MOVWF       FSR0H 
	MOVF        R2, 0 
	ADDWF       FSR0, 1 
	BTFSC       STATUS+0, 0 
	INCF        FSR0H, 1 
	MOVF        FARG_modShadowReg_value+0, 0 
	IORWF       POSTINC0+0, 0 
	MOVWF       R0 
	MOVF        R0, 0 
	MOVWF       POSTINC1+0 
	GOTO        L__modShadowReg3
;FM_Click.mbas,104 :: 		else                                                                          'Resets the desired bits in register
L__modShadowReg2:
;FM_Click.mbas,105 :: 		shadowReg[reg_pos] = shadowReg[reg_pos] and ( NOT Hi( value ) )             'Split value to higher
	MOVLW       _shadowReg+0
	MOVWF       FSR1 
	MOVLW       hi_addr(_shadowReg+0)
	MOVWF       FSR1H 
	MOVF        R2, 0 
	ADDWF       FSR1, 1 
	BTFSC       STATUS+0, 0 
	INCF        FSR1H, 1 
	MOVLW       _shadowReg+0
	MOVWF       FSR0 
	MOVLW       hi_addr(_shadowReg+0)
	MOVWF       FSR0H 
	MOVF        R2, 0 
	ADDWF       FSR0, 1 
	BTFSC       STATUS+0, 0 
	INCF        FSR0H, 1 
	COMF        FARG_modShadowReg_value+1, 0 
	MOVWF       R0 
	MOVF        POSTINC0+0, 0 
	ANDWF       R0, 1 
	MOVF        R0, 0 
	MOVWF       POSTINC1+0 
;FM_Click.mbas,106 :: 		inc(reg_pos)
	INCF        R2, 1 
;FM_Click.mbas,107 :: 		shadowReg[reg_pos] = shadowReg[reg_pos] and ( NOT Lo( value ) )             'and lower nibble
	MOVLW       _shadowReg+0
	MOVWF       FSR1 
	MOVLW       hi_addr(_shadowReg+0)
	MOVWF       FSR1H 
	MOVF        R2, 0 
	ADDWF       FSR1, 1 
	BTFSC       STATUS+0, 0 
	INCF        FSR1H, 1 
	MOVLW       _shadowReg+0
	MOVWF       FSR0 
	MOVLW       hi_addr(_shadowReg+0)
	MOVWF       FSR0H 
	MOVF        R2, 0 
	ADDWF       FSR0, 1 
	BTFSC       STATUS+0, 0 
	INCF        FSR0H, 1 
	COMF        FARG_modShadowReg_value+0, 0 
	MOVWF       R0 
	MOVF        POSTINC0+0, 0 
	ANDWF       R0, 1 
	MOVF        R0, 0 
	MOVWF       POSTINC1+0 
;FM_Click.mbas,108 :: 		end if
L__modShadowReg3:
;FM_Click.mbas,109 :: 		end sub
L_end_modShadowReg:
	RETURN      0
; end of _modShadowReg

_FM_Write:

;FM_Click.mbas,115 :: 		dim ii as byte
;FM_Click.mbas,116 :: 		wr_cnt = ( reg - 1 ) << 1                                                     'Calculate how much bytes need to be written
	DECF        FARG_FM_Write_reg+0, 0 
	MOVWF       FM_Write_wr_cnt+0 
	RLCF        FM_Write_wr_cnt+0, 1 
	BCF         FM_Write_wr_cnt+0, 0 
;FM_Click.mbas,117 :: 		modShadowReg(reg, value, set_reset)                                           'Modify register bytes
	MOVF        FARG_FM_Write_reg+0, 0 
	MOVWF       FARG_modShadowReg_reg+0 
	MOVF        FARG_FM_Write_value+0, 0 
	MOVWF       FARG_modShadowReg_value+0 
	MOVF        FARG_FM_Write_value+1, 0 
	MOVWF       FARG_modShadowReg_value+1 
	MOVF        FARG_FM_Write_set_reset+0, 0 
	MOVWF       FARG_modShadowReg_set_reset+0 
	CALL        _modShadowReg+0, 0
;FM_Click.mbas,118 :: 		I2C1_Start()
	CALL        _I2C1_Start+0, 0
;FM_Click.mbas,119 :: 		I2C1_wr(Si4703_address)
	MOVLW       32
	MOVWF       FARG_I2C1_Wr_data_+0 
	CALL        _I2C1_Wr+0, 0
;FM_Click.mbas,120 :: 		for ii = 16 to 16 + wr_cnt                                                    'ex : pour registre 0x07, on crit 12 octets (addresse + data)  partir du registre 0x02 soit @shadowReg(16)
	MOVLW       16
	MOVWF       FM_Write_ii+0 
L__FM_Write5:
	MOVF        FM_Write_wr_cnt+0, 0 
	ADDLW       16
	MOVWF       FLOC__FM_Write+0 
	MOVF        FM_Write_ii+0, 0 
	SUBWF       FLOC__FM_Write+0, 0 
	BTFSS       STATUS+0, 0 
	GOTO        L__FM_Write9
;FM_Click.mbas,121 :: 		I2C1_Wr(shadowReg[ii])                                                     'Writing to register starts from 0x02 register
	MOVLW       _shadowReg+0
	MOVWF       FSR0 
	MOVLW       hi_addr(_shadowReg+0)
	MOVWF       FSR0H 
	MOVF        FM_Write_ii+0, 0 
	ADDWF       FSR0, 1 
	BTFSC       STATUS+0, 0 
	INCF        FSR0H, 1 
	MOVF        POSTINC0+0, 0 
	MOVWF       FARG_I2C1_Wr_data_+0 
	CALL        _I2C1_Wr+0, 0
;FM_Click.mbas,122 :: 		next ii
	MOVF        FM_Write_ii+0, 0 
	XORWF       FLOC__FM_Write+0, 0 
	BTFSC       STATUS+0, 2 
	GOTO        L__FM_Write9
	INCF        FM_Write_ii+0, 1 
	GOTO        L__FM_Write5
L__FM_Write9:
;FM_Click.mbas,123 :: 		I2C1_stop
	CALL        _I2C1_Stop+0, 0
;FM_Click.mbas,124 :: 		end sub
L_end_FM_Write:
	RETURN      0
; end of _FM_Write

_FM_Read:

;FM_Click.mbas,128 :: 		dim ii as byte
;FM_Click.mbas,129 :: 		if (cmd = FM_all_Reg) then
	MOVF        FARG_FM_Read_cmd+0, 0 
	XORLW       15
	BTFSS       STATUS+0, 2 
	GOTO        L__FM_Read12
;FM_Click.mbas,130 :: 		I2C1_Start()
	CALL        _I2C1_Start+0, 0
;FM_Click.mbas,131 :: 		I2C1_wr(Si4703_address + 1 )
	MOVLW       33
	MOVWF       FARG_I2C1_Wr_data_+0 
	CALL        _I2C1_Wr+0, 0
;FM_Click.mbas,132 :: 		for ii = 0 to 30
	CLRF        FM_Read_ii+0 
L__FM_Read15:
;FM_Click.mbas,133 :: 		shadowReg[ii] = I2C1_rd(1)
	MOVLW       _shadowReg+0
	MOVWF       FLOC__FM_Read+0 
	MOVLW       hi_addr(_shadowReg+0)
	MOVWF       FLOC__FM_Read+1 
	MOVF        FM_Read_ii+0, 0 
	ADDWF       FLOC__FM_Read+0, 1 
	BTFSC       STATUS+0, 0 
	INCF        FLOC__FM_Read+1, 1 
	MOVLW       1
	MOVWF       FARG_I2C1_Rd_ack+0 
	CALL        _I2C1_Rd+0, 0
	MOVFF       FLOC__FM_Read+0, FSR1
	MOVFF       FLOC__FM_Read+1, FSR1H
	MOVF        R0, 0 
	MOVWF       POSTINC1+0 
;FM_Click.mbas,134 :: 		next ii
	MOVF        FM_Read_ii+0, 0 
	XORLW       30
	BTFSC       STATUS+0, 2 
	GOTO        L__FM_Read18
	INCF        FM_Read_ii+0, 1 
	GOTO        L__FM_Read15
L__FM_Read18:
;FM_Click.mbas,135 :: 		shadowReg[31] = I2C1_rd(0)
	CLRF        FARG_I2C1_Rd_ack+0 
	CALL        _I2C1_Rd+0, 0
	MOVF        R0, 0 
	MOVWF       _shadowReg+31 
;FM_Click.mbas,136 :: 		I2C1_Stop
	CALL        _I2C1_Stop+0, 0
L__FM_Read12:
;FM_Click.mbas,138 :: 		if(cmd = FM_0a0b_Reg) then                                                    'Read only STATUS and READCHAN registers
	MOVF        FARG_FM_Read_cmd+0, 0 
	XORLW       2
	BTFSS       STATUS+0, 2 
	GOTO        L__FM_Read20
;FM_Click.mbas,139 :: 		I2C1_Start()
	CALL        _I2C1_Start+0, 0
;FM_Click.mbas,140 :: 		I2C1_wr(Si4703_address +1 )
	MOVLW       33
	MOVWF       FARG_I2C1_Wr_data_+0 
	CALL        _I2C1_Wr+0, 0
;FM_Click.mbas,141 :: 		for ii = 0 to 2
	CLRF        FM_Read_ii+0 
L__FM_Read23:
;FM_Click.mbas,142 :: 		shadowReg[ii] = I2C1_rd(1)
	MOVLW       _shadowReg+0
	MOVWF       FLOC__FM_Read+0 
	MOVLW       hi_addr(_shadowReg+0)
	MOVWF       FLOC__FM_Read+1 
	MOVF        FM_Read_ii+0, 0 
	ADDWF       FLOC__FM_Read+0, 1 
	BTFSC       STATUS+0, 0 
	INCF        FLOC__FM_Read+1, 1 
	MOVLW       1
	MOVWF       FARG_I2C1_Rd_ack+0 
	CALL        _I2C1_Rd+0, 0
	MOVFF       FLOC__FM_Read+0, FSR1
	MOVFF       FLOC__FM_Read+1, FSR1H
	MOVF        R0, 0 
	MOVWF       POSTINC1+0 
;FM_Click.mbas,143 :: 		next ii
	MOVF        FM_Read_ii+0, 0 
	XORLW       2
	BTFSC       STATUS+0, 2 
	GOTO        L__FM_Read26
	INCF        FM_Read_ii+0, 1 
	GOTO        L__FM_Read23
L__FM_Read26:
;FM_Click.mbas,144 :: 		shadowReg[3] = I2C1_rd(0)
	CLRF        FARG_I2C1_Rd_ack+0 
	CALL        _I2C1_Rd+0, 0
	MOVF        R0, 0 
	MOVWF       _shadowReg+3 
;FM_Click.mbas,145 :: 		I2C1_Stop
	CALL        _I2C1_Stop+0, 0
L__FM_Read20:
;FM_Click.mbas,147 :: 		end sub
L_end_FM_Read:
	RETURN      0
; end of _FM_Read

_SetVolume:

;FM_Click.mbas,150 :: 		sub procedure SetVolume(dim vol as byte)
;FM_Click.mbas,151 :: 		if ( ( vol >= 0 ) AND ( vol <= 16) )  then
	MOVLW       0
	SUBWF       FARG_SetVolume_vol+0, 0 
	MOVLW       0
	BTFSC       STATUS+0, 0 
	MOVLW       255
	MOVWF       R1 
	MOVF        FARG_SetVolume_vol+0, 0 
	SUBLW       16
	MOVLW       0
	BTFSC       STATUS+0, 0 
	MOVLW       255
	MOVWF       R0 
	MOVF        R1, 0 
	ANDWF       R0, 1 
	BTFSC       STATUS+0, 2 
	GOTO        L__SetVolume29
;FM_Click.mbas,152 :: 		vol = vol AND 0x0F
	MOVLW       15
	ANDWF       FARG_SetVolume_vol+0, 1 
;FM_Click.mbas,153 :: 		modShadowReg(0x05, 0x000F, zero)
	MOVLW       5
	MOVWF       FARG_modShadowReg_reg+0 
	MOVLW       15
	MOVWF       FARG_modShadowReg_value+0 
	MOVLW       0
	MOVWF       FARG_modShadowReg_value+1 
	CLRF        FARG_modShadowReg_set_reset+0 
	CALL        _modShadowReg+0, 0
;FM_Click.mbas,154 :: 		FM_Write(0x05, vol, one)                                                    'Write Volume value to SYSCONFIG2 register
	MOVLW       5
	MOVWF       FARG_FM_Write_reg+0 
	MOVF        FARG_SetVolume_vol+0, 0 
	MOVWF       FARG_FM_Write_value+0 
	MOVLW       0
	MOVWF       FARG_FM_Write_value+1 
	MOVLW       1
	MOVWF       FARG_FM_Write_set_reset+0 
	CALL        _FM_Write+0, 0
;FM_Click.mbas,155 :: 		delay_ms(5)
	MOVLW       52
	MOVWF       R12, 0
	MOVLW       241
	MOVWF       R13, 0
L__SetVolume31:
	DECFSZ      R13, 1, 1
	BRA         L__SetVolume31
	DECFSZ      R12, 1, 1
	BRA         L__SetVolume31
	NOP
	NOP
L__SetVolume29:
;FM_Click.mbas,157 :: 		end sub
L_end_SetVolume:
	RETURN      0
; end of _SetVolume

_Refresh_Freq_Rds_Rssi:

;FM_Click.mbas,161 :: 		dim BlerA, BlerB, BlerC, BlerD as byte
;FM_Click.mbas,162 :: 		FM_Read(FM_0a0b_Reg)
	MOVLW       2
	MOVWF       FARG_FM_Read_cmd+0 
	CALL        _FM_Read+0, 0
;FM_Click.mbas,163 :: 		freq = shadowReg[3] + 875                                                     'Begining of Europe band 87.5 Mhz = 875 * 100kHz
	MOVF        _shadowReg+3, 0 
	MOVWF       _freq+0 
	MOVLW       0
	MOVWF       _freq+1 
	MOVLW       107
	ADDWF       _freq+0, 1 
	MOVLW       3
	ADDWFC      _freq+1, 1 
;FM_Click.mbas,164 :: 		rssi = shadowReg[1]
	MOVF        _shadowReg+1, 0 
	MOVWF       _Rssi+0 
;FM_Click.mbas,165 :: 		stereo = shadowReg[0] and %00000001
	MOVLW       1
	ANDWF       _shadowReg+0, 0 
	MOVWF       R0 
	BTFSC       R0, 0 
	GOTO        L__Refresh_Freq_Rds_Rssi170
	BCF         _stereo+0, BitPos(_stereo+0) 
	GOTO        L__Refresh_Freq_Rds_Rssi171
L__Refresh_Freq_Rds_Rssi170:
	BSF         _stereo+0, BitPos(_stereo+0) 
L__Refresh_Freq_Rds_Rssi171:
;FM_Click.mbas,166 :: 		RDS_ok = (shadowReg[0] and %10000000) >> 7
	CLRF        _RDS_ok+0 
	BTFSC       _shadowReg+0, 7 
	INCF        _RDS_ok+0, 1 
;FM_Click.mbas,168 :: 		BlerB = (shadowReg[2] and %11000000 ) >> 6
	MOVLW       192
	ANDWF       _shadowReg+2, 0 
	MOVWF       _Bled2+0 
	MOVLW       6
	MOVWF       R0 
	MOVF        R0, 0 
L__Refresh_Freq_Rds_Rssi172:
	BZ          L__Refresh_Freq_Rds_Rssi173
	RRCF        _Bled2+0, 1 
	BCF         _Bled2+0, 7 
	ADDLW       255
	GOTO        L__Refresh_Freq_Rds_Rssi172
L__Refresh_Freq_Rds_Rssi173:
;FM_Click.mbas,169 :: 		BlerC = (shadowReg[2] and %00110000 ) >> 4
	MOVLW       48
	ANDWF       _shadowReg+2, 0 
	MOVWF       R1 
	MOVF        R1, 0 
	MOVWF       R3 
	RRCF        R3, 1 
	BCF         R3, 7 
	RRCF        R3, 1 
	BCF         R3, 7 
	RRCF        R3, 1 
	BCF         R3, 7 
	RRCF        R3, 1 
	BCF         R3, 7 
;FM_Click.mbas,170 :: 		BlerD = (shadowReg[2] and %00001100 ) >> 2
	MOVLW       12
	ANDWF       _shadowReg+2, 0 
	MOVWF       R2 
	MOVF        R2, 0 
	MOVWF       R0 
	RRCF        R0, 1 
	BCF         R0, 7 
	RRCF        R0, 1 
	BCF         R0, 7 
;FM_Click.mbas,171 :: 		Bled1 = BlerD                                                                 'Qualit dcodage RDS <3 pour affichage correct du nom de la station
	MOVF        R0, 0 
	MOVWF       _Bled1+0 
;FM_Click.mbas,172 :: 		Bled2 = BlerB + BlerC + BlerD                                                 'Somme des erreurs possibles, doit tre  0 pour une mise  l'heure
	MOVF        R3, 0 
	ADDWF       _Bled2+0, 1 
	MOVF        R0, 0 
	ADDWF       _Bled2+0, 1 
;FM_Click.mbas,173 :: 		end sub
L_end_Refresh_Freq_Rds_Rssi:
	RETURN      0
; end of _Refresh_Freq_Rds_Rssi

_affiche_fm:

;FM_Click.mbas,176 :: 		sub procedure affiche_fm
;FM_Click.mbas,177 :: 		if stereo = 0 then lcd_out(3,15," MONO ")                                     'Affiche indicateur st/mono
	BTFSC       _stereo+0, BitPos(_stereo+0) 
	GOTO        L__affiche_fm35
	MOVLW       3
	MOVWF       FARG_Lcd_Out_row+0 
	MOVLW       15
	MOVWF       FARG_Lcd_Out_column+0 
	MOVLW       32
	MOVWF       ?LocalText_affiche_fm+0 
	MOVLW       77
	MOVWF       ?LocalText_affiche_fm+1 
	MOVLW       79
	MOVWF       ?LocalText_affiche_fm+2 
	MOVLW       78
	MOVWF       ?LocalText_affiche_fm+3 
	MOVLW       79
	MOVWF       ?LocalText_affiche_fm+4 
	MOVLW       32
	MOVWF       ?LocalText_affiche_fm+5 
	CLRF        ?LocalText_affiche_fm+6 
	MOVLW       ?LocalText_affiche_fm+0
	MOVWF       FARG_Lcd_Out_text+0 
	MOVLW       hi_addr(?LocalText_affiche_fm+0)
	MOVWF       FARG_Lcd_Out_text+1 
	CALL        _Lcd_Out+0, 0
	GOTO        L__affiche_fm36
;FM_Click.mbas,178 :: 		else lcd_out(3,15,"STEREO")
L__affiche_fm35:
	MOVLW       3
	MOVWF       FARG_Lcd_Out_row+0 
	MOVLW       15
	MOVWF       FARG_Lcd_Out_column+0 
	MOVLW       83
	MOVWF       ?LocalText_affiche_fm+0 
	MOVLW       84
	MOVWF       ?LocalText_affiche_fm+1 
	MOVLW       69
	MOVWF       ?LocalText_affiche_fm+2 
	MOVLW       82
	MOVWF       ?LocalText_affiche_fm+3 
	MOVLW       69
	MOVWF       ?LocalText_affiche_fm+4 
	MOVLW       79
	MOVWF       ?LocalText_affiche_fm+5 
	CLRF        ?LocalText_affiche_fm+6 
	MOVLW       ?LocalText_affiche_fm+0
	MOVWF       FARG_Lcd_Out_text+0 
	MOVLW       hi_addr(?LocalText_affiche_fm+0)
	MOVWF       FARG_Lcd_Out_text+1 
	CALL        _Lcd_Out+0, 0
;FM_Click.mbas,179 :: 		end if
L__affiche_fm36:
;FM_Click.mbas,180 :: 		lcd_out(3,1,"Freq:")                                                          'Display Frequency
	MOVLW       3
	MOVWF       FARG_Lcd_Out_row+0 
	MOVLW       1
	MOVWF       FARG_Lcd_Out_column+0 
	MOVLW       70
	MOVWF       ?LocalText_affiche_fm+0 
	MOVLW       114
	MOVWF       ?LocalText_affiche_fm+1 
	MOVLW       101
	MOVWF       ?LocalText_affiche_fm+2 
	MOVLW       113
	MOVWF       ?LocalText_affiche_fm+3 
	MOVLW       58
	MOVWF       ?LocalText_affiche_fm+4 
	CLRF        ?LocalText_affiche_fm+5 
	MOVLW       ?LocalText_affiche_fm+0
	MOVWF       FARG_Lcd_Out_text+0 
	MOVLW       hi_addr(?LocalText_affiche_fm+0)
	MOVWF       FARG_Lcd_Out_text+1 
	CALL        _Lcd_Out+0, 0
;FM_Click.mbas,181 :: 		wordtostr(freq,text5)
	MOVF        _freq+0, 0 
	MOVWF       FARG_WordToStr_input+0 
	MOVF        _freq+1, 0 
	MOVWF       FARG_WordToStr_input+1 
	MOVLW       _text5+0
	MOVWF       FARG_WordToStr_output+0 
	MOVLW       hi_addr(_text5+0)
	MOVWF       FARG_WordToStr_output+1 
	CALL        _WordToStr+0, 0
;FM_Click.mbas,182 :: 		lcd_chr(3,11,text5[4])
	MOVLW       3
	MOVWF       FARG_Lcd_Chr_Row+0 
	MOVLW       11
	MOVWF       FARG_Lcd_Chr_Column+0 
	MOVF        _text5+4, 0 
	MOVWF       FARG_Lcd_Chr_Out_Char+0 
	CALL        _Lcd_Chr+0, 0
;FM_Click.mbas,183 :: 		lcd_chr(3,10,".")
	MOVLW       3
	MOVWF       FARG_Lcd_Chr_Row+0 
	MOVLW       10
	MOVWF       FARG_Lcd_Chr_Column+0 
	MOVLW       46
	MOVWF       FARG_Lcd_Chr_Out_Char+0 
	CALL        _Lcd_Chr+0, 0
;FM_Click.mbas,184 :: 		lcd_chr(3,9,text5[3])
	MOVLW       3
	MOVWF       FARG_Lcd_Chr_Row+0 
	MOVLW       9
	MOVWF       FARG_Lcd_Chr_Column+0 
	MOVF        _text5+3, 0 
	MOVWF       FARG_Lcd_Chr_Out_Char+0 
	CALL        _Lcd_Chr+0, 0
;FM_Click.mbas,185 :: 		lcd_chr(3,8,text5[2])
	MOVLW       3
	MOVWF       FARG_Lcd_Chr_Row+0 
	MOVLW       8
	MOVWF       FARG_Lcd_Chr_Column+0 
	MOVF        _text5+2, 0 
	MOVWF       FARG_Lcd_Chr_Out_Char+0 
	CALL        _Lcd_Chr+0, 0
;FM_Click.mbas,186 :: 		lcd_chr(3,7,text5[1])
	MOVLW       3
	MOVWF       FARG_Lcd_Chr_Row+0 
	MOVLW       7
	MOVWF       FARG_Lcd_Chr_Column+0 
	MOVF        _text5+1, 0 
	MOVWF       FARG_Lcd_Chr_Out_Char+0 
	CALL        _Lcd_Chr+0, 0
;FM_Click.mbas,187 :: 		lcd_out(4,1,"Rssi: ")                                                         'Display  Rssi
	MOVLW       4
	MOVWF       FARG_Lcd_Out_row+0 
	MOVLW       1
	MOVWF       FARG_Lcd_Out_column+0 
	MOVLW       82
	MOVWF       ?LocalText_affiche_fm+0 
	MOVLW       115
	MOVWF       ?LocalText_affiche_fm+1 
	MOVLW       115
	MOVWF       ?LocalText_affiche_fm+2 
	MOVLW       105
	MOVWF       ?LocalText_affiche_fm+3 
	MOVLW       58
	MOVWF       ?LocalText_affiche_fm+4 
	MOVLW       32
	MOVWF       ?LocalText_affiche_fm+5 
	CLRF        ?LocalText_affiche_fm+6 
	MOVLW       ?LocalText_affiche_fm+0
	MOVWF       FARG_Lcd_Out_text+0 
	MOVLW       hi_addr(?LocalText_affiche_fm+0)
	MOVWF       FARG_Lcd_Out_text+1 
	CALL        _Lcd_Out+0, 0
;FM_Click.mbas,188 :: 		Lcd_Chr(4,7,(rssi / 10) + 48)
	MOVLW       4
	MOVWF       FARG_Lcd_Chr_Row+0 
	MOVLW       7
	MOVWF       FARG_Lcd_Chr_Column+0 
	MOVLW       10
	MOVWF       R4 
	MOVF        _Rssi+0, 0 
	MOVWF       R0 
	CALL        _Div_8x8_U+0, 0
	MOVLW       48
	ADDWF       R0, 0 
	MOVWF       FARG_Lcd_Chr_Out_Char+0 
	CALL        _Lcd_Chr+0, 0
;FM_Click.mbas,189 :: 		Lcd_Chr(4,8,(rssi mod 10) + 48)
	MOVLW       4
	MOVWF       FARG_Lcd_Chr_Row+0 
	MOVLW       8
	MOVWF       FARG_Lcd_Chr_Column+0 
	MOVLW       10
	MOVWF       R4 
	MOVF        _Rssi+0, 0 
	MOVWF       R0 
	CALL        _Div_8x8_U+0, 0
	MOVF        R8, 0 
	MOVWF       R0 
	MOVLW       48
	ADDWF       R0, 0 
	MOVWF       FARG_Lcd_Chr_Out_Char+0 
	CALL        _Lcd_Chr+0, 0
;FM_Click.mbas,190 :: 		lcd_out(4,14,"Vol:")                                                          'Display Volume
	MOVLW       4
	MOVWF       FARG_Lcd_Out_row+0 
	MOVLW       14
	MOVWF       FARG_Lcd_Out_column+0 
	MOVLW       86
	MOVWF       ?LocalText_affiche_fm+0 
	MOVLW       111
	MOVWF       ?LocalText_affiche_fm+1 
	MOVLW       108
	MOVWF       ?LocalText_affiche_fm+2 
	MOVLW       58
	MOVWF       ?LocalText_affiche_fm+3 
	CLRF        ?LocalText_affiche_fm+4 
	MOVLW       ?LocalText_affiche_fm+0
	MOVWF       FARG_Lcd_Out_text+0 
	MOVLW       hi_addr(?LocalText_affiche_fm+0)
	MOVWF       FARG_Lcd_Out_text+1 
	CALL        _Lcd_Out+0, 0
;FM_Click.mbas,191 :: 		Lcd_Chr(4,19,(volume / 10) + 48)
	MOVLW       4
	MOVWF       FARG_Lcd_Chr_Row+0 
	MOVLW       19
	MOVWF       FARG_Lcd_Chr_Column+0 
	MOVLW       10
	MOVWF       R4 
	MOVF        _volume+0, 0 
	MOVWF       R0 
	CALL        _Div_8x8_U+0, 0
	MOVLW       48
	ADDWF       R0, 0 
	MOVWF       FARG_Lcd_Chr_Out_Char+0 
	CALL        _Lcd_Chr+0, 0
;FM_Click.mbas,192 :: 		Lcd_Chr(4,20,(volume mod 10) + 48)
	MOVLW       4
	MOVWF       FARG_Lcd_Chr_Row+0 
	MOVLW       20
	MOVWF       FARG_Lcd_Chr_Column+0 
	MOVLW       10
	MOVWF       R4 
	MOVF        _volume+0, 0 
	MOVWF       R0 
	CALL        _Div_8x8_U+0, 0
	MOVF        R8, 0 
	MOVWF       R0 
	MOVLW       48
	ADDWF       R0, 0 
	MOVWF       FARG_Lcd_Chr_Out_Char+0 
	CALL        _Lcd_Chr+0, 0
;FM_Click.mbas,193 :: 		end sub
L_end_affiche_fm:
	RETURN      0
; end of _affiche_fm

_FM_Tune:

;FM_Click.mbas,198 :: 		dim STC_bit as char
;FM_Click.mbas,199 :: 		STC_bit = 0
	CLRF        FM_Tune_STC_bit+0 
;FM_Click.mbas,200 :: 		calc = freq
	MOVF        FARG_FM_Tune_freq+0, 0 
	MOVWF       FM_Tune_calc+0 
	MOVF        FARG_FM_Tune_freq+1, 0 
	MOVWF       FM_Tune_calc+1 
;FM_Click.mbas,201 :: 		calc = calc - 875
	MOVLW       107
	SUBWF       FARG_FM_Tune_freq+0, 0 
	MOVWF       FM_Tune_calc+0 
	MOVLW       3
	SUBWFB      FARG_FM_Tune_freq+1, 0 
	MOVWF       FM_Tune_calc+1 
;FM_Click.mbas,202 :: 		calc = calc or 0x8000                                                         'Set TUNE Flag
	BSF         FM_Tune_calc+1, 7 
;FM_Click.mbas,203 :: 		if (powerON = 1)  then                                                        'Check for power state of FM click
	MOVF        _powerOn+0, 0 
	XORLW       1
	BTFSS       STATUS+0, 2 
	GOTO        L__FM_Tune39
;FM_Click.mbas,204 :: 		FM_Read(FM_0a0b_Reg)
	MOVLW       2
	MOVWF       FARG_FM_Read_cmd+0 
	CALL        _FM_Read+0, 0
;FM_Click.mbas,205 :: 		modShadowReg(0x03, 0x83FF, zero)
	MOVLW       3
	MOVWF       FARG_modShadowReg_reg+0 
	MOVLW       255
	MOVWF       FARG_modShadowReg_value+0 
	MOVLW       131
	MOVWF       FARG_modShadowReg_value+1 
	CLRF        FARG_modShadowReg_set_reset+0 
	CALL        _modShadowReg+0, 0
;FM_Click.mbas,206 :: 		FM_Write(0x03, calc, one)                                                   'Write modifiled frequency value  + activate tune
	MOVLW       3
	MOVWF       FARG_FM_Write_reg+0 
	MOVF        FM_Tune_calc+0, 0 
	MOVWF       FARG_FM_Write_value+0 
	MOVF        FM_Tune_calc+1, 0 
	MOVWF       FARG_FM_Write_value+1 
	MOVLW       1
	MOVWF       FARG_FM_Write_set_reset+0 
	CALL        _FM_Write+0, 0
;FM_Click.mbas,207 :: 		Delay_ms(60)
	MOVLW       3
	MOVWF       R11, 0
	MOVLW       112
	MOVWF       R12, 0
	MOVLW       92
	MOVWF       R13, 0
L__FM_Tune41:
	DECFSZ      R13, 1, 1
	BRA         L__FM_Tune41
	DECFSZ      R12, 1, 1
	BRA         L__FM_Tune41
	DECFSZ      R11, 1, 1
	BRA         L__FM_Tune41
	NOP
;FM_Click.mbas,208 :: 		while (STC_bit = 0)
L__FM_Tune43:
	MOVF        FM_Tune_STC_bit+0, 0 
	XORLW       0
	BTFSS       STATUS+0, 2 
	GOTO        L__FM_Tune44
;FM_Click.mbas,209 :: 		FM_Read(FM_0a0b_Reg)
	MOVLW       2
	MOVWF       FARG_FM_Read_cmd+0 
	CALL        _FM_Read+0, 0
;FM_Click.mbas,210 :: 		STC_bit = shadowReg[0] AND 0x40
	MOVLW       64
	ANDWF       _shadowReg+0, 0 
	MOVWF       FM_Tune_STC_bit+0 
;FM_Click.mbas,211 :: 		wend
	GOTO        L__FM_Tune43
L__FM_Tune44:
;FM_Click.mbas,212 :: 		FM_Read(FM_0a0b_Reg)
	MOVLW       2
	MOVWF       FARG_FM_Read_cmd+0 
	CALL        _FM_Read+0, 0
;FM_Click.mbas,213 :: 		modShadowReg(0x03, 0x8000, zero)
	MOVLW       3
	MOVWF       FARG_modShadowReg_reg+0 
	MOVLW       0
	MOVWF       FARG_modShadowReg_value+0 
	MOVLW       128
	MOVWF       FARG_modShadowReg_value+1 
	CLRF        FARG_modShadowReg_set_reset+0 
	CALL        _modShadowReg+0, 0
;FM_Click.mbas,214 :: 		FM_Write(0x03, 0x8000, zero)                                               'Set TUNE = 0
	MOVLW       3
	MOVWF       FARG_FM_Write_reg+0 
	MOVLW       0
	MOVWF       FARG_FM_Write_value+0 
	MOVLW       128
	MOVWF       FARG_FM_Write_value+1 
	CLRF        FARG_FM_Write_set_reset+0 
	CALL        _FM_Write+0, 0
;FM_Click.mbas,215 :: 		while (STC_bit > 0)
L__FM_Tune48:
	MOVF        FM_Tune_STC_bit+0, 0 
	SUBLW       0
	BTFSC       STATUS+0, 0 
	GOTO        L__FM_Tune49
;FM_Click.mbas,216 :: 		FM_Read(FM_all_Reg)
	MOVLW       15
	MOVWF       FARG_FM_Read_cmd+0 
	CALL        _FM_Read+0, 0
;FM_Click.mbas,217 :: 		STC_bit = shadowReg[0] AND 0x40
	MOVLW       64
	ANDWF       _shadowReg+0, 0 
	MOVWF       FM_Tune_STC_bit+0 
;FM_Click.mbas,218 :: 		wend
	GOTO        L__FM_Tune48
L__FM_Tune49:
	GOTO        L__FM_Tune40
;FM_Click.mbas,219 :: 		else
L__FM_Tune39:
;FM_Click.mbas,220 :: 		ModShadowReg(0x03, calc, one)                                             'If power is off, only modify the shadow register
	MOVLW       3
	MOVWF       FARG_modShadowReg_reg+0 
	MOVF        FM_Tune_calc+0, 0 
	MOVWF       FARG_modShadowReg_value+0 
	MOVF        FM_Tune_calc+1, 0 
	MOVWF       FARG_modShadowReg_value+1 
	MOVLW       1
	MOVWF       FARG_modShadowReg_set_reset+0 
	CALL        _modShadowReg+0, 0
;FM_Click.mbas,221 :: 		end if
L__FM_Tune40:
;FM_Click.mbas,222 :: 		end sub
L_end_FM_Tune:
	RETURN      0
; end of _FM_Tune

_FM_Seek:

;FM_Click.mbas,226 :: 		dim STC_bit, SF_BL_bit as char
;FM_Click.mbas,227 :: 		if direction = 1 then
	MOVF        FARG_FM_Seek_direction+0, 0 
	XORLW       1
	BTFSS       STATUS+0, 2 
	GOTO        L__FM_Seek54
;FM_Click.mbas,228 :: 		modShadowReg(0x02, 0x0300, zero)
	MOVLW       2
	MOVWF       FARG_modShadowReg_reg+0 
	MOVLW       0
	MOVWF       FARG_modShadowReg_value+0 
	MOVLW       3
	MOVWF       FARG_modShadowReg_value+1 
	CLRF        FARG_modShadowReg_set_reset+0 
	CALL        _modShadowReg+0, 0
;FM_Click.mbas,229 :: 		FM_Write(0x02, 0x0300, one)                                                 'Activate SEEK direction up and Seek ON
	MOVLW       2
	MOVWF       FARG_FM_Write_reg+0 
	MOVLW       0
	MOVWF       FARG_FM_Write_value+0 
	MOVLW       3
	MOVWF       FARG_FM_Write_value+1 
	MOVLW       1
	MOVWF       FARG_FM_Write_set_reset+0 
	CALL        _FM_Write+0, 0
	GOTO        L__FM_Seek55
;FM_Click.mbas,230 :: 		else
L__FM_Seek54:
;FM_Click.mbas,231 :: 		modShadowReg(0x02, 0x0300, zero)
	MOVLW       2
	MOVWF       FARG_modShadowReg_reg+0 
	MOVLW       0
	MOVWF       FARG_modShadowReg_value+0 
	MOVLW       3
	MOVWF       FARG_modShadowReg_value+1 
	CLRF        FARG_modShadowReg_set_reset+0 
	CALL        _modShadowReg+0, 0
;FM_Click.mbas,232 :: 		FM_Write(0x02, 0x0100, one)                                                 'Activate SEEK direction down and Seek ON
	MOVLW       2
	MOVWF       FARG_FM_Write_reg+0 
	MOVLW       0
	MOVWF       FARG_FM_Write_value+0 
	MOVLW       1
	MOVWF       FARG_FM_Write_value+1 
	MOVLW       1
	MOVWF       FARG_FM_Write_set_reset+0 
	CALL        _FM_Write+0, 0
;FM_Click.mbas,233 :: 		end if
L__FM_Seek55:
;FM_Click.mbas,234 :: 		STC_bit = 0
	CLRF        FM_Seek_STC_bit+0 
;FM_Click.mbas,235 :: 		while( STC_bit = 0 )
L__FM_Seek57:
	MOVF        FM_Seek_STC_bit+0, 0 
	XORLW       0
	BTFSS       STATUS+0, 2 
	GOTO        L__FM_Seek58
;FM_Click.mbas,236 :: 		FM_Read(FM_0a0b_Reg)
	MOVLW       2
	MOVWF       FARG_FM_Read_cmd+0 
	CALL        _FM_Read+0, 0
;FM_Click.mbas,237 :: 		STC_bit = (shadowReg[0] and %01000000) >> 6
	CLRF        FM_Seek_STC_bit+0 
	BTFSC       _shadowReg+0, 6 
	INCF        FM_Seek_STC_bit+0, 1 
;FM_Click.mbas,238 :: 		delay_ms(60)
	MOVLW       3
	MOVWF       R11, 0
	MOVLW       112
	MOVWF       R12, 0
	MOVLW       92
	MOVWF       R13, 0
L__FM_Seek61:
	DECFSZ      R13, 1, 1
	BRA         L__FM_Seek61
	DECFSZ      R12, 1, 1
	BRA         L__FM_Seek61
	DECFSZ      R11, 1, 1
	BRA         L__FM_Seek61
	NOP
;FM_Click.mbas,239 :: 		wend
	GOTO        L__FM_Seek57
L__FM_Seek58:
;FM_Click.mbas,240 :: 		modShadowReg(0x02, 0x0300, zero)
	MOVLW       2
	MOVWF       FARG_modShadowReg_reg+0 
	MOVLW       0
	MOVWF       FARG_modShadowReg_value+0 
	MOVLW       3
	MOVWF       FARG_modShadowReg_value+1 
	CLRF        FARG_modShadowReg_set_reset+0 
	CALL        _modShadowReg+0, 0
;FM_Click.mbas,241 :: 		FM_Write(0x02, 0x0100, zero)                                                 'Deactivate SEEK,keep
	MOVLW       2
	MOVWF       FARG_FM_Write_reg+0 
	MOVLW       0
	MOVWF       FARG_FM_Write_value+0 
	MOVLW       1
	MOVWF       FARG_FM_Write_value+1 
	CLRF        FARG_FM_Write_set_reset+0 
	CALL        _FM_Write+0, 0
;FM_Click.mbas,242 :: 		while( STC_bit = 1 )
L__FM_Seek63:
	MOVF        FM_Seek_STC_bit+0, 0 
	XORLW       1
	BTFSS       STATUS+0, 2 
	GOTO        L__FM_Seek64
;FM_Click.mbas,243 :: 		FM_Read(FM_0a0b_Reg)
	MOVLW       2
	MOVWF       FARG_FM_Read_cmd+0 
	CALL        _FM_Read+0, 0
;FM_Click.mbas,244 :: 		STC_bit = (shadowReg[0] and %01000000) >> 6
	CLRF        FM_Seek_STC_bit+0 
	BTFSC       _shadowReg+0, 6 
	INCF        FM_Seek_STC_bit+0, 1 
;FM_Click.mbas,245 :: 		wend
	GOTO        L__FM_Seek63
L__FM_Seek64:
;FM_Click.mbas,246 :: 		FM_Read(FM_0a0b_Reg)
	MOVLW       2
	MOVWF       FARG_FM_Read_cmd+0 
	CALL        _FM_Read+0, 0
;FM_Click.mbas,248 :: 		end sub
L_end_FM_Seek:
	RETURN      0
; end of _FM_Seek

_Rds_scan:

;FM_Click.mbas,259 :: 		dim temp3 as word                                                             'General purpose variable
;FM_Click.mbas,261 :: 		if RDS_ok = 1 then
	MOVF        _RDS_ok+0, 0 
	XORLW       1
	BTFSS       STATUS+0, 2 
	GOTO        L__Rds_scan69
;FM_Click.mbas,263 :: 		FM_Read(FM_all_Reg)
	MOVLW       15
	MOVWF       FARG_FM_Read_cmd+0 
	CALL        _FM_Read+0, 0
;FM_Click.mbas,267 :: 		Bl = shadowReg[07]
	MOVF        _shadowReg+7, 0 
	MOVWF       Rds_scan_Bl+0 
;FM_Click.mbas,268 :: 		Ch = shadowReg[08]
	MOVF        _shadowReg+8, 0 
	MOVWF       Rds_scan_Ch+0 
;FM_Click.mbas,269 :: 		Cl = shadowReg[09]
	MOVF        _shadowReg+9, 0 
	MOVWF       Rds_scan_Cl+0 
;FM_Click.mbas,270 :: 		Dh = shadowReg[10]
	MOVF        _shadowReg+10, 0 
	MOVWF       Rds_scan_Dh+0 
;FM_Click.mbas,271 :: 		Dl = shadowReg[11]
	MOVF        _shadowReg+11, 0 
	MOVWF       Rds_scan_Dl+0 
;FM_Click.mbas,272 :: 		service = Bh and %11111000
	MOVLW       248
	ANDWF       _shadowReg+6, 0 
	MOVWF       R1 
	MOVF        R1, 0 
	MOVWF       Rds_scan_service+0 
;FM_Click.mbas,273 :: 		if service = 0 then
	MOVF        R1, 0 
	XORLW       0
	BTFSS       STATUS+0, 2 
	GOTO        L__Rds_scan72
;FM_Click.mbas,274 :: 		if Bled1 < 3   then                                                   'Peu d'erreurs donc on affiche le nom de la station
	MOVLW       3
	SUBWF       _Bled1+0, 0 
	BTFSC       STATUS+0, 0 
	GOTO        L__Rds_scan75
;FM_Click.mbas,275 :: 		pos = Bl and 3
	MOVLW       3
	ANDWF       Rds_scan_Bl+0, 0 
	MOVWF       R1 
	MOVF        R1, 0 
	MOVWF       Rds_scan_pos+0 
;FM_Click.mbas,276 :: 		if pos = 0 then                                                   'Un nouveau message va tre reu
	MOVF        R1, 0 
	XORLW       0
	BTFSS       STATUS+0, 2 
	GOTO        L__Rds_scan78
;FM_Click.mbas,277 :: 		if str_size = 8 then                                           'On peut imprimer le message car on a reu 8 caractres
	MOVF        _str_size+0, 0 
	XORLW       8
	BTFSS       STATUS+0, 2 
	GOTO        L__Rds_scan81
;FM_Click.mbas,278 :: 		flag_RDS = 1
	BSF         _flag_RDS+0, BitPos(_flag_RDS+0) 
	GOTO        L__Rds_scan82
;FM_Click.mbas,279 :: 		else                                                           'On n'a pas encore 8 caractres
L__Rds_scan81:
;FM_Click.mbas,280 :: 		if RDS_text[0] = 0 then                                     'On ne rempli qu'une fois !
	MOVF        _RDS_text+0, 0 
	XORLW       0
	BTFSS       STATUS+0, 2 
	GOTO        L__Rds_scan84
;FM_Click.mbas,281 :: 		RDS_text[0] = chr(Dh)                                    'On commence  remplir les 2 premiers caractres
	MOVF        Rds_scan_Dh+0, 0 
	MOVWF       _RDS_text+0 
;FM_Click.mbas,282 :: 		RDS_text[1] = chr(Dl)
	MOVF        Rds_scan_Dl+0, 0 
	MOVWF       _RDS_text+1 
;FM_Click.mbas,283 :: 		str_size = str_size + 2
	MOVLW       2
	ADDWF       _str_size+0, 1 
L__Rds_scan84:
;FM_Click.mbas,285 :: 		end if
L__Rds_scan82:
	GOTO        L__Rds_scan79
;FM_Click.mbas,286 :: 		else
L__Rds_scan78:
;FM_Click.mbas,287 :: 		if (pos = 1) and (RDS_text[2] = 0) then                        'Cette position n'a pas encore t remplie
	MOVF        Rds_scan_pos+0, 0 
	XORLW       1
	MOVLW       255
	BTFSS       STATUS+0, 2 
	MOVLW       0
	MOVWF       R1 
	MOVF        _RDS_text+2, 0 
	XORLW       0
	MOVLW       255
	BTFSS       STATUS+0, 2 
	MOVLW       0
	MOVWF       R0 
	MOVF        R1, 0 
	ANDWF       R0, 1 
	BTFSC       STATUS+0, 2 
	GOTO        L__Rds_scan87
;FM_Click.mbas,288 :: 		RDS_text[2] = chr(Dh)
	MOVF        Rds_scan_Dh+0, 0 
	MOVWF       _RDS_text+2 
;FM_Click.mbas,289 :: 		RDS_text[3] = chr(Dl)
	MOVF        Rds_scan_Dl+0, 0 
	MOVWF       _RDS_text+3 
;FM_Click.mbas,290 :: 		str_size = str_size + 2
	MOVLW       2
	ADDWF       _str_size+0, 1 
L__Rds_scan87:
;FM_Click.mbas,292 :: 		if (pos = 2) and (RDS_text[4] = 0) then
	MOVF        Rds_scan_pos+0, 0 
	XORLW       2
	MOVLW       255
	BTFSS       STATUS+0, 2 
	MOVLW       0
	MOVWF       R1 
	MOVF        _RDS_text+4, 0 
	XORLW       0
	MOVLW       255
	BTFSS       STATUS+0, 2 
	MOVLW       0
	MOVWF       R0 
	MOVF        R1, 0 
	ANDWF       R0, 1 
	BTFSC       STATUS+0, 2 
	GOTO        L__Rds_scan90
;FM_Click.mbas,293 :: 		RDS_text[4] = chr(Dh)                                      'Et on continue pour avoir 8 caractres
	MOVF        Rds_scan_Dh+0, 0 
	MOVWF       _RDS_text+4 
;FM_Click.mbas,294 :: 		RDS_text[5] = chr(Dl)
	MOVF        Rds_scan_Dl+0, 0 
	MOVWF       _RDS_text+5 
;FM_Click.mbas,295 :: 		str_size = str_size + 2
	MOVLW       2
	ADDWF       _str_size+0, 1 
L__Rds_scan90:
;FM_Click.mbas,297 :: 		if (pos = 3) and (RDS_text[6] = 0) then
	MOVF        Rds_scan_pos+0, 0 
	XORLW       3
	MOVLW       255
	BTFSS       STATUS+0, 2 
	MOVLW       0
	MOVWF       R1 
	MOVF        _RDS_text+6, 0 
	XORLW       0
	MOVLW       255
	BTFSS       STATUS+0, 2 
	MOVLW       0
	MOVWF       R0 
	MOVF        R1, 0 
	ANDWF       R0, 1 
	BTFSC       STATUS+0, 2 
	GOTO        L__Rds_scan93
;FM_Click.mbas,298 :: 		RDS_text[6] = chr(Dh)                                      'Et on continue pour avoir 8 caractres
	MOVF        Rds_scan_Dh+0, 0 
	MOVWF       _RDS_text+6 
;FM_Click.mbas,299 :: 		RDS_text[7] = chr(Dl)
	MOVF        Rds_scan_Dl+0, 0 
	MOVWF       _RDS_text+7 
;FM_Click.mbas,300 :: 		str_size = str_size + 2
	MOVLW       2
	ADDWF       _str_size+0, 1 
L__Rds_scan93:
;FM_Click.mbas,302 :: 		end if
L__Rds_scan79:
L__Rds_scan75:
;FM_Click.mbas,303 :: 		end if
L__Rds_scan72:
;FM_Click.mbas,306 :: 		if service = 0x40 then                                                   '4A, Heure and date (%01001010)
	MOVF        Rds_scan_service+0, 0 
	XORLW       64
	BTFSS       STATUS+0, 2 
	GOTO        L__Rds_scan96
;FM_Click.mbas,307 :: 		if Bled2 = 0 then
	MOVF        _Bled2+0, 0 
	XORLW       0
	BTFSS       STATUS+0, 2 
	GOTO        L__Rds_scan99
;FM_Click.mbas,308 :: 		utcoffset = (Dl and 0x1f) >> 1                                  'Offset exprim en n*1/2 heure
	MOVLW       31
	ANDWF       Rds_scan_Dl+0, 0 
	MOVWF       Rds_scan_utcoffset+0 
	RRCF        Rds_scan_utcoffset+0, 1 
	BCF         Rds_scan_utcoffset+0, 7 
;FM_Click.mbas,309 :: 		mnrds = (Dh and 0x0f) << 2 + (Dl and 0xc0) >> 6
	MOVLW       15
	ANDWF       Rds_scan_Dh+0, 0 
	MOVWF       Rds_scan_mnrds+0 
	RLCF        Rds_scan_mnrds+0, 1 
	BCF         Rds_scan_mnrds+0, 0 
	RLCF        Rds_scan_mnrds+0, 1 
	BCF         Rds_scan_mnrds+0, 0 
	MOVLW       192
	ANDWF       Rds_scan_Dl+0, 0 
	MOVWF       R2 
	MOVLW       6
	MOVWF       R1 
	MOVF        R2, 0 
	MOVWF       R0 
	MOVF        R1, 0 
L__Rds_scan178:
	BZ          L__Rds_scan179
	RRCF        R0, 1 
	BCF         R0, 7 
	ADDLW       255
	GOTO        L__Rds_scan178
L__Rds_scan179:
	MOVF        R0, 0 
	ADDWF       Rds_scan_mnrds+0, 1 
;FM_Click.mbas,310 :: 		hrds = (Cl and 0x01) << 4 + (Dh and 0xf0) >> 4
	MOVLW       1
	ANDWF       Rds_scan_Cl+0, 0 
	MOVWF       Rds_scan_hrds+0 
	RLCF        Rds_scan_hrds+0, 1 
	BCF         Rds_scan_hrds+0, 0 
	RLCF        Rds_scan_hrds+0, 1 
	BCF         Rds_scan_hrds+0, 0 
	RLCF        Rds_scan_hrds+0, 1 
	BCF         Rds_scan_hrds+0, 0 
	RLCF        Rds_scan_hrds+0, 1 
	BCF         Rds_scan_hrds+0, 0 
	MOVLW       240
	ANDWF       Rds_scan_Dh+0, 0 
	MOVWF       R2 
	MOVF        R2, 0 
	MOVWF       R0 
	RRCF        R0, 1 
	BCF         R0, 7 
	RRCF        R0, 1 
	BCF         R0, 7 
	RRCF        R0, 1 
	BCF         R0, 7 
	RRCF        R0, 1 
	BCF         R0, 7 
	MOVF        R0, 0 
	ADDWF       Rds_scan_hrds+0, 1 
;FM_Click.mbas,311 :: 		if Dl.5 = 1 then
	BTFSS       Rds_scan_Dl+0, 5 
	GOTO        L__Rds_scan102
;FM_Click.mbas,312 :: 		hrds = hrds - utcoffset
	MOVF        Rds_scan_utcoffset+0, 0 
	SUBWF       Rds_scan_hrds+0, 1 
	GOTO        L__Rds_scan103
;FM_Click.mbas,313 :: 		else
L__Rds_scan102:
;FM_Click.mbas,314 :: 		hrds = hrds + utcoffset
	MOVF        Rds_scan_utcoffset+0, 0 
	ADDWF       Rds_scan_hrds+0, 1 
;FM_Click.mbas,315 :: 		end if
L__Rds_scan103:
;FM_Click.mbas,316 :: 		if hrds >= 24 then hrds = hrds - 24 end if                      'Correction bug  le 28-7-2013
	MOVLW       24
	SUBWF       Rds_scan_hrds+0, 0 
	BTFSS       STATUS+0, 0 
	GOTO        L__Rds_scan105
	MOVLW       24
	SUBWF       Rds_scan_hrds+0, 1 
L__Rds_scan105:
;FM_Click.mbas,317 :: 		mjdw = 65536 * ((Bl and 0x03) >> 1) + 256 * (Ch >> 1 + (Bl and 0x01) << 7) + Cl >> 1 + (Ch and 0x01) << 7
	MOVLW       3
	ANDWF       Rds_scan_Bl+0, 0 
	MOVWF       R2 
	MOVF        R2, 0 
	MOVWF       R1 
	RRCF        R1, 1 
	BCF         R1, 7 
	MOVF        R1, 0 
	MOVWF       R11 
	CLRF        R9 
	CLRF        R10 
	CLRF        R12 
	MOVF        Rds_scan_Ch+0, 0 
	MOVWF       R6 
	RRCF        R6, 1 
	BCF         R6, 7 
	MOVLW       1
	ANDWF       Rds_scan_Bl+0, 0 
	MOVWF       R5 
	MOVLW       7
	MOVWF       R4 
	MOVF        R5, 0 
	MOVWF       R0 
	MOVLW       0
	MOVWF       R1 
	MOVWF       R2 
	MOVWF       R3 
	MOVF        R4, 0 
L__Rds_scan180:
	BZ          L__Rds_scan181
	RLCF        R0, 1 
	BCF         R0, 0 
	RLCF        R1, 1 
	RLCF        R2, 1 
	RLCF        R3, 1 
	ADDLW       255
	GOTO        L__Rds_scan180
L__Rds_scan181:
	MOVF        R6, 0 
	ADDWF       R0, 0 
	MOVWF       R5 
	MOVLW       0
	ADDWFC      R1, 0 
	MOVWF       R6 
	MOVLW       0
	ADDWFC      R2, 0 
	MOVWF       R7 
	MOVLW       0
	ADDWFC      R3, 0 
	MOVWF       R8 
	MOVF        R7, 0 
	MOVWF       R3 
	MOVF        R6, 0 
	MOVWF       R2 
	MOVF        R5, 0 
	MOVWF       R1 
	CLRF        R0 
	MOVF        R0, 0 
	ADDWF       R9, 0 
	MOVWF       R4 
	MOVF        R1, 0 
	ADDWFC      R10, 0 
	MOVWF       R5 
	MOVF        R2, 0 
	ADDWFC      R11, 0 
	MOVWF       R6 
	MOVF        R3, 0 
	ADDWFC      R12, 0 
	MOVWF       R7 
	MOVF        Rds_scan_Cl+0, 0 
	MOVWF       R0 
	RRCF        R0, 1 
	BCF         R0, 7 
	MOVF        R0, 0 
	ADDWF       R4, 0 
	MOVWF       R8 
	MOVLW       0
	ADDWFC      R5, 0 
	MOVWF       R9 
	MOVLW       0
	ADDWFC      R6, 0 
	MOVWF       R10 
	MOVLW       0
	ADDWFC      R7, 0 
	MOVWF       R11 
	MOVLW       1
	ANDWF       Rds_scan_Ch+0, 0 
	MOVWF       R5 
	MOVLW       7
	MOVWF       R4 
	MOVF        R5, 0 
	MOVWF       R0 
	MOVLW       0
	MOVWF       R1 
	MOVWF       R2 
	MOVWF       R3 
	MOVF        R4, 0 
L__Rds_scan182:
	BZ          L__Rds_scan183
	RLCF        R0, 1 
	BCF         R0, 0 
	RLCF        R1, 1 
	RLCF        R2, 1 
	RLCF        R3, 1 
	ADDLW       255
	GOTO        L__Rds_scan182
L__Rds_scan183:
	MOVF        R8, 0 
	ADDWF       R0, 1 
	MOVF        R9, 0 
	ADDWFC      R1, 1 
	MOVF        R10, 0 
	ADDWFC      R2, 1 
	MOVF        R11, 0 
	ADDWFC      R3, 1 
	MOVF        R0, 0 
	MOVWF       Rds_scan_mjdw+0 
	MOVF        R1, 0 
	MOVWF       Rds_scan_mjdw+1 
	MOVF        R2, 0 
	MOVWF       Rds_scan_mjdw+2 
	MOVF        R3, 0 
	MOVWF       Rds_scan_mjdw+3 
;FM_Click.mbas,318 :: 		wdrds = (mjdw + 2) mod 7 + 1
	MOVLW       2
	ADDWF       R0, 1 
	MOVLW       0
	ADDWFC      R1, 1 
	ADDWFC      R2, 1 
	ADDWFC      R3, 1 
	MOVLW       7
	MOVWF       R4 
	MOVLW       0
	MOVWF       R5 
	MOVWF       R6 
	MOVWF       R7 
	CALL        _Div_32x32_U+0, 0
	MOVF        R8, 0 
	MOVWF       R0 
	MOVF        R9, 0 
	MOVWF       R1 
	MOVF        R10, 0 
	MOVWF       R2 
	MOVF        R11, 0 
	MOVWF       R3 
	MOVLW       1
	ADDWF       R0, 0 
	MOVWF       Rds_scan_wdrds+0 
	MOVLW       0
	ADDWFC      R1, 0 
	MOVWF       Rds_scan_wdrds+1 
;FM_Click.mbas,319 :: 		mjd = float(mjdw)
	MOVF        Rds_scan_mjdw+0, 0 
	MOVWF       R0 
	MOVF        Rds_scan_mjdw+1, 0 
	MOVWF       R1 
	MOVF        Rds_scan_mjdw+2, 0 
	MOVWF       R2 
	MOVF        Rds_scan_mjdw+3, 0 
	MOVWF       R3 
	CALL        _Longword2Double+0, 0
	MOVF        R0, 0 
	MOVWF       Rds_scan_mjd+0 
	MOVF        R1, 0 
	MOVWF       Rds_scan_mjd+1 
	MOVF        R2, 0 
	MOVWF       Rds_scan_mjd+2 
	MOVF        R3, 0 
	MOVWF       Rds_scan_mjd+3 
;FM_Click.mbas,320 :: 		yrds = ( mjd - 15078.2) / 365.25
	MOVLW       205
	MOVWF       R4 
	MOVLW       152
	MOVWF       R5 
	MOVLW       107
	MOVWF       R6 
	MOVLW       140
	MOVWF       R7 
	CALL        _Sub_32x32_FP+0, 0
	MOVLW       0
	MOVWF       R4 
	MOVLW       160
	MOVWF       R5 
	MOVLW       54
	MOVWF       R6 
	MOVLW       135
	MOVWF       R7 
	CALL        _Div_32x32_FP+0, 0
	MOVF        R0, 0 
	MOVWF       Rds_scan_yrds+0 
	MOVF        R1, 0 
	MOVWF       Rds_scan_yrds+1 
	MOVF        R2, 0 
	MOVWF       Rds_scan_yrds+2 
	MOVF        R3, 0 
	MOVWF       Rds_scan_yrds+3 
;FM_Click.mbas,321 :: 		yrds = floor (yrds)
	MOVF        R0, 0 
	MOVWF       FARG_floor_x+0 
	MOVF        R1, 0 
	MOVWF       FARG_floor_x+1 
	MOVF        R2, 0 
	MOVWF       FARG_floor_x+2 
	MOVF        R3, 0 
	MOVWF       FARG_floor_x+3 
	CALL        _floor+0, 0
	MOVF        R0, 0 
	MOVWF       FLOC__Rds_scan+0 
	MOVF        R1, 0 
	MOVWF       FLOC__Rds_scan+1 
	MOVF        R2, 0 
	MOVWF       FLOC__Rds_scan+2 
	MOVF        R3, 0 
	MOVWF       FLOC__Rds_scan+3 
	MOVF        FLOC__Rds_scan+0, 0 
	MOVWF       Rds_scan_yrds+0 
	MOVF        FLOC__Rds_scan+1, 0 
	MOVWF       Rds_scan_yrds+1 
	MOVF        FLOC__Rds_scan+2, 0 
	MOVWF       Rds_scan_yrds+2 
	MOVF        FLOC__Rds_scan+3, 0 
	MOVWF       Rds_scan_yrds+3 
;FM_Click.mbas,322 :: 		temp1 =  mjd - 14956.1
	MOVLW       102
	MOVWF       R4 
	MOVLW       176
	MOVWF       R5 
	MOVLW       105
	MOVWF       R6 
	MOVLW       140
	MOVWF       R7 
	MOVF        Rds_scan_mjd+0, 0 
	MOVWF       R0 
	MOVF        Rds_scan_mjd+1, 0 
	MOVWF       R1 
	MOVF        Rds_scan_mjd+2, 0 
	MOVWF       R2 
	MOVF        Rds_scan_mjd+3, 0 
	MOVWF       R3 
	CALL        _Sub_32x32_FP+0, 0
	MOVF        R0, 0 
	MOVWF       Rds_scan_temp1+0 
	MOVF        R1, 0 
	MOVWF       Rds_scan_temp1+1 
	MOVF        R2, 0 
	MOVWF       Rds_scan_temp1+2 
	MOVF        R3, 0 
	MOVWF       Rds_scan_temp1+3 
;FM_Click.mbas,323 :: 		temp2 =  yrds * 365.25
	MOVF        FLOC__Rds_scan+0, 0 
	MOVWF       R0 
	MOVF        FLOC__Rds_scan+1, 0 
	MOVWF       R1 
	MOVF        FLOC__Rds_scan+2, 0 
	MOVWF       R2 
	MOVF        FLOC__Rds_scan+3, 0 
	MOVWF       R3 
	MOVLW       0
	MOVWF       R4 
	MOVLW       160
	MOVWF       R5 
	MOVLW       54
	MOVWF       R6 
	MOVLW       135
	MOVWF       R7 
	CALL        _Mul_32x32_FP+0, 0
	MOVF        R0, 0 
	MOVWF       Rds_scan_temp2+0 
	MOVF        R1, 0 
	MOVWF       Rds_scan_temp2+1 
	MOVF        R2, 0 
	MOVWF       Rds_scan_temp2+2 
	MOVF        R3, 0 
	MOVWF       Rds_scan_temp2+3 
;FM_Click.mbas,324 :: 		temp2 = floor (temp2)
	MOVF        R0, 0 
	MOVWF       FARG_floor_x+0 
	MOVF        R1, 0 
	MOVWF       FARG_floor_x+1 
	MOVF        R2, 0 
	MOVWF       FARG_floor_x+2 
	MOVF        R3, 0 
	MOVWF       FARG_floor_x+3 
	CALL        _floor+0, 0
	MOVF        R0, 0 
	MOVWF       Rds_scan_temp2+0 
	MOVF        R1, 0 
	MOVWF       Rds_scan_temp2+1 
	MOVF        R2, 0 
	MOVWF       Rds_scan_temp2+2 
	MOVF        R3, 0 
	MOVWF       Rds_scan_temp2+3 
;FM_Click.mbas,325 :: 		mrds = ( temp1 - temp2 )/ 30.6001
	MOVF        R0, 0 
	MOVWF       R4 
	MOVF        R1, 0 
	MOVWF       R5 
	MOVF        R2, 0 
	MOVWF       R6 
	MOVF        R3, 0 
	MOVWF       R7 
	MOVF        Rds_scan_temp1+0, 0 
	MOVWF       R0 
	MOVF        Rds_scan_temp1+1, 0 
	MOVWF       R1 
	MOVF        Rds_scan_temp1+2, 0 
	MOVWF       R2 
	MOVF        Rds_scan_temp1+3, 0 
	MOVWF       R3 
	CALL        _Sub_32x32_FP+0, 0
	MOVLW       1
	MOVWF       R4 
	MOVLW       205
	MOVWF       R5 
	MOVLW       116
	MOVWF       R6 
	MOVLW       131
	MOVWF       R7 
	CALL        _Div_32x32_FP+0, 0
	MOVF        R0, 0 
	MOVWF       Rds_scan_mrds+0 
	MOVF        R1, 0 
	MOVWF       Rds_scan_mrds+1 
	MOVF        R2, 0 
	MOVWF       Rds_scan_mrds+2 
	MOVF        R3, 0 
	MOVWF       Rds_scan_mrds+3 
;FM_Click.mbas,326 :: 		mrds = floor (mrds)
	MOVF        R0, 0 
	MOVWF       FARG_floor_x+0 
	MOVF        R1, 0 
	MOVWF       FARG_floor_x+1 
	MOVF        R2, 0 
	MOVWF       FARG_floor_x+2 
	MOVF        R3, 0 
	MOVWF       FARG_floor_x+3 
	CALL        _floor+0, 0
	MOVF        R0, 0 
	MOVWF       FLOC__Rds_scan+0 
	MOVF        R1, 0 
	MOVWF       FLOC__Rds_scan+1 
	MOVF        R2, 0 
	MOVWF       FLOC__Rds_scan+2 
	MOVF        R3, 0 
	MOVWF       FLOC__Rds_scan+3 
	MOVF        FLOC__Rds_scan+0, 0 
	MOVWF       Rds_scan_mrds+0 
	MOVF        FLOC__Rds_scan+1, 0 
	MOVWF       Rds_scan_mrds+1 
	MOVF        FLOC__Rds_scan+2, 0 
	MOVWF       Rds_scan_mrds+2 
	MOVF        FLOC__Rds_scan+3, 0 
	MOVWF       Rds_scan_mrds+3 
;FM_Click.mbas,327 :: 		temp1 = mjd - 14956
	MOVLW       0
	MOVWF       R4 
	MOVLW       176
	MOVWF       R5 
	MOVLW       105
	MOVWF       R6 
	MOVLW       140
	MOVWF       R7 
	MOVF        Rds_scan_mjd+0, 0 
	MOVWF       R0 
	MOVF        Rds_scan_mjd+1, 0 
	MOVWF       R1 
	MOVF        Rds_scan_mjd+2, 0 
	MOVWF       R2 
	MOVF        Rds_scan_mjd+3, 0 
	MOVWF       R3 
	CALL        _Sub_32x32_FP+0, 0
	MOVF        R0, 0 
	MOVWF       Rds_scan_temp1+0 
	MOVF        R1, 0 
	MOVWF       Rds_scan_temp1+1 
	MOVF        R2, 0 
	MOVWF       Rds_scan_temp1+2 
	MOVF        R3, 0 
	MOVWF       Rds_scan_temp1+3 
;FM_Click.mbas,328 :: 		drds = temp1 - temp2
	MOVF        Rds_scan_temp2+0, 0 
	MOVWF       R4 
	MOVF        Rds_scan_temp2+1, 0 
	MOVWF       R5 
	MOVF        Rds_scan_temp2+2, 0 
	MOVWF       R6 
	MOVF        Rds_scan_temp2+3, 0 
	MOVWF       R7 
	CALL        _Sub_32x32_FP+0, 0
	MOVF        R0, 0 
	MOVWF       Rds_scan_drds+0 
	MOVF        R1, 0 
	MOVWF       Rds_scan_drds+1 
	MOVF        R2, 0 
	MOVWF       Rds_scan_drds+2 
	MOVF        R3, 0 
	MOVWF       Rds_scan_drds+3 
;FM_Click.mbas,329 :: 		temp1 = mrds * 30.6001
	MOVF        FLOC__Rds_scan+0, 0 
	MOVWF       R0 
	MOVF        FLOC__Rds_scan+1, 0 
	MOVWF       R1 
	MOVF        FLOC__Rds_scan+2, 0 
	MOVWF       R2 
	MOVF        FLOC__Rds_scan+3, 0 
	MOVWF       R3 
	MOVLW       1
	MOVWF       R4 
	MOVLW       205
	MOVWF       R5 
	MOVLW       116
	MOVWF       R6 
	MOVLW       131
	MOVWF       R7 
	CALL        _Mul_32x32_FP+0, 0
	MOVF        R0, 0 
	MOVWF       Rds_scan_temp1+0 
	MOVF        R1, 0 
	MOVWF       Rds_scan_temp1+1 
	MOVF        R2, 0 
	MOVWF       Rds_scan_temp1+2 
	MOVF        R3, 0 
	MOVWF       Rds_scan_temp1+3 
;FM_Click.mbas,330 :: 		temp1 = floor (temp1)
	MOVF        R0, 0 
	MOVWF       FARG_floor_x+0 
	MOVF        R1, 0 
	MOVWF       FARG_floor_x+1 
	MOVF        R2, 0 
	MOVWF       FARG_floor_x+2 
	MOVF        R3, 0 
	MOVWF       FARG_floor_x+3 
	CALL        _floor+0, 0
	MOVF        R0, 0 
	MOVWF       Rds_scan_temp1+0 
	MOVF        R1, 0 
	MOVWF       Rds_scan_temp1+1 
	MOVF        R2, 0 
	MOVWF       Rds_scan_temp1+2 
	MOVF        R3, 0 
	MOVWF       Rds_scan_temp1+3 
;FM_Click.mbas,331 :: 		drds = drds - temp1
	MOVF        R0, 0 
	MOVWF       R4 
	MOVF        R1, 0 
	MOVWF       R5 
	MOVF        R2, 0 
	MOVWF       R6 
	MOVF        R3, 0 
	MOVWF       R7 
	MOVF        Rds_scan_drds+0, 0 
	MOVWF       R0 
	MOVF        Rds_scan_drds+1, 0 
	MOVWF       R1 
	MOVF        Rds_scan_drds+2, 0 
	MOVWF       R2 
	MOVF        Rds_scan_drds+3, 0 
	MOVWF       R3 
	CALL        _Sub_32x32_FP+0, 0
	MOVF        R0, 0 
	MOVWF       Rds_scan_drds+0 
	MOVF        R1, 0 
	MOVWF       Rds_scan_drds+1 
	MOVF        R2, 0 
	MOVWF       Rds_scan_drds+2 
	MOVF        R3, 0 
	MOVWF       Rds_scan_drds+3 
;FM_Click.mbas,332 :: 		if (mrds = 15) or (mrds = 14) then temp3 = 1                     'or (mrds = 13 ?) then temp3 = 1
	MOVLW       0
	MOVWF       R4 
	MOVLW       0
	MOVWF       R5 
	MOVLW       112
	MOVWF       R6 
	MOVLW       130
	MOVWF       R7 
	MOVF        Rds_scan_mrds+0, 0 
	MOVWF       R0 
	MOVF        Rds_scan_mrds+1, 0 
	MOVWF       R1 
	MOVF        Rds_scan_mrds+2, 0 
	MOVWF       R2 
	MOVF        Rds_scan_mrds+3, 0 
	MOVWF       R3 
	CALL        _Equals_Double+0, 0
	MOVLW       255
	BTFSS       STATUS+0, 2 
	MOVLW       0
	MOVWF       FLOC__Rds_scan+0 
	MOVLW       0
	MOVWF       R4 
	MOVLW       0
	MOVWF       R5 
	MOVLW       96
	MOVWF       R6 
	MOVLW       130
	MOVWF       R7 
	MOVF        Rds_scan_mrds+0, 0 
	MOVWF       R0 
	MOVF        Rds_scan_mrds+1, 0 
	MOVWF       R1 
	MOVF        Rds_scan_mrds+2, 0 
	MOVWF       R2 
	MOVF        Rds_scan_mrds+3, 0 
	MOVWF       R3 
	CALL        _Equals_Double+0, 0
	MOVLW       255
	BTFSS       STATUS+0, 2 
	MOVLW       0
	MOVWF       R0 
	MOVF        FLOC__Rds_scan+0, 0 
	IORWF       R0, 1 
	BTFSC       STATUS+0, 2 
	GOTO        L__Rds_scan108
	MOVLW       1
	MOVWF       Rds_scan_temp3+0 
	MOVLW       0
	MOVWF       Rds_scan_temp3+1 
	GOTO        L__Rds_scan109
;FM_Click.mbas,333 :: 		else temp3 = 0
L__Rds_scan108:
	CLRF        Rds_scan_temp3+0 
	CLRF        Rds_scan_temp3+1 
;FM_Click.mbas,334 :: 		end if
L__Rds_scan109:
;FM_Click.mbas,335 :: 		ty = byte(yrds) + temp3 - 100                                    'Valable jusqu'en juin 2100 (Year from 1900 , ex 111 = 2011)
	MOVF        Rds_scan_yrds+0, 0 
	MOVWF       R0 
	MOVF        Rds_scan_yrds+1, 0 
	MOVWF       R1 
	MOVF        Rds_scan_yrds+2, 0 
	MOVWF       R2 
	MOVF        Rds_scan_yrds+3, 0 
	MOVWF       R3 
	CALL        _Double2Byte+0, 0
	MOVF        Rds_scan_temp3+0, 0 
	ADDWF       R0, 0 
	MOVWF       _ty+0 
	MOVLW       100
	SUBWF       _ty+0, 1 
;FM_Click.mbas,336 :: 		tm = byte(mrds) - 1 - temp3 * 12
	MOVF        Rds_scan_mrds+0, 0 
	MOVWF       R0 
	MOVF        Rds_scan_mrds+1, 0 
	MOVWF       R1 
	MOVF        Rds_scan_mrds+2, 0 
	MOVWF       R2 
	MOVF        Rds_scan_mrds+3, 0 
	MOVWF       R3 
	CALL        _Double2Byte+0, 0
	DECF        R0, 0 
	MOVWF       _tm+0 
	MOVF        Rds_scan_temp3+0, 0 
	MOVWF       R0 
	MOVF        Rds_scan_temp3+1, 0 
	MOVWF       R1 
	MOVLW       12
	MOVWF       R4 
	MOVLW       0
	MOVWF       R5 
	CALL        _Mul_16x16_U+0, 0
	MOVF        R0, 0 
	SUBWF       _tm+0, 1 
;FM_Click.mbas,337 :: 		ts = 0
	CLRF        _ts+0 
;FM_Click.mbas,338 :: 		tmn = mnrds
	MOVF        Rds_scan_mnrds+0, 0 
	MOVWF       _tmn+0 
;FM_Click.mbas,339 :: 		th = hrds
	MOVF        Rds_scan_hrds+0, 0 
	MOVWF       _th+0 
;FM_Click.mbas,340 :: 		tj = byte(drds)
	MOVF        Rds_scan_drds+0, 0 
	MOVWF       R0 
	MOVF        Rds_scan_drds+1, 0 
	MOVWF       R1 
	MOVF        Rds_scan_drds+2, 0 
	MOVWF       R2 
	MOVF        Rds_scan_drds+3, 0 
	MOVWF       R3 
	CALL        _Double2Byte+0, 0
	MOVF        R0, 0 
	MOVWF       _tj+0 
;FM_Click.mbas,341 :: 		tdw = dec2bcd(wdrds)
	MOVF        Rds_scan_wdrds+0, 0 
	MOVWF       FARG_Dec2Bcd_decnum+0 
	CALL        _Dec2Bcd+0, 0
	MOVF        R0, 0 
	MOVWF       _tdw+0 
;FM_Click.mbas,342 :: 		flag_Clock = 1                                                  'Clock updated
	BSF         _flag_Clock+0, BitPos(_flag_Clock+0) 
L__Rds_scan99:
;FM_Click.mbas,343 :: 		end if
L__Rds_scan96:
;FM_Click.mbas,344 :: 		end if
L__Rds_scan69:
;FM_Click.mbas,347 :: 		end sub
L_end_Rds_scan:
	RETURN      0
; end of _Rds_scan

_FM_Activate:

;FM_Click.mbas,351 :: 		dim active as word
;FM_Click.mbas,352 :: 		active = ChipID
	MOVF        _ChipID+0, 0 
	MOVWF       FM_Activate_active+0 
	MOVF        _ChipID+1, 0 
	MOVWF       FM_Activate_active+1 
;FM_Click.mbas,353 :: 		FM_Read(FM_all_Reg)
	MOVLW       15
	MOVWF       FARG_FM_Read_cmd+0 
	CALL        _FM_Read+0, 0
;FM_Click.mbas,354 :: 		modShadowReg(0x02, 0x4801, zero)
	MOVLW       2
	MOVWF       FARG_modShadowReg_reg+0 
	MOVLW       1
	MOVWF       FARG_modShadowReg_value+0 
	MOVLW       72
	MOVWF       FARG_modShadowReg_value+1 
	CLRF        FARG_modShadowReg_set_reset+0 
	CALL        _modShadowReg+0, 0
;FM_Click.mbas,355 :: 		FM_Write(0x02, 0x4801, one)                                                   'Write ENABLE bit, disable Mute , RDS mode = Verbose
	MOVLW       2
	MOVWF       FARG_FM_Write_reg+0 
	MOVLW       1
	MOVWF       FARG_FM_Write_value+0 
	MOVLW       72
	MOVWF       FARG_FM_Write_value+1 
	MOVLW       1
	MOVWF       FARG_FM_Write_set_reset+0 
	CALL        _FM_Write+0, 0
;FM_Click.mbas,356 :: 		Delay_ms(200)
	MOVLW       9
	MOVWF       R11, 0
	MOVLW       30
	MOVWF       R12, 0
	MOVLW       228
	MOVWF       R13, 0
L__FM_Activate111:
	DECFSZ      R13, 1, 1
	BRA         L__FM_Activate111
	DECFSZ      R12, 1, 1
	BRA         L__FM_Activate111
	DECFSZ      R11, 1, 1
	BRA         L__FM_Activate111
	NOP
;FM_Click.mbas,357 :: 		while (active = ChipID)                                                       'Wait for module powerup
L__FM_Activate113:
	MOVF        FM_Activate_active+1, 0 
	XORWF       _ChipID+1, 0 
	BTFSS       STATUS+0, 2 
	GOTO        L__FM_Activate185
	MOVF        _ChipID+0, 0 
	XORWF       FM_Activate_active+0, 0 
L__FM_Activate185:
	BTFSS       STATUS+0, 2 
	GOTO        L__FM_Activate114
;FM_Click.mbas,358 :: 		FM_Read(FM_all_Reg)
	MOVLW       15
	MOVWF       FARG_FM_Read_cmd+0 
	CALL        _FM_Read+0, 0
;FM_Click.mbas,359 :: 		active = shadowReg[14] << 8
	MOVF        _shadowReg+14, 0 
	MOVWF       FM_Activate_active+1 
	CLRF        FM_Activate_active+0 
;FM_Click.mbas,360 :: 		active = active OR shadowReg[15]
	MOVF        _shadowReg+15, 0 
	IORWF       FM_Activate_active+0, 1 
	MOVLW       0
	IORWF       FM_Activate_active+1, 1 
;FM_Click.mbas,361 :: 		wend
	GOTO        L__FM_Activate113
L__FM_Activate114:
;FM_Click.mbas,362 :: 		modShadowReg(0x04, 0xFFFF, zero)                                              'Write default Volume and RSSI Seek Threshold values
	MOVLW       4
	MOVWF       FARG_modShadowReg_reg+0 
	MOVLW       255
	MOVWF       FARG_modShadowReg_value+0 
	MOVLW       255
	MOVWF       FARG_modShadowReg_value+1 
	CLRF        FARG_modShadowReg_set_reset+0 
	CALL        _modShadowReg+0, 0
;FM_Click.mbas,363 :: 		FM_Write(0x04,0x1800,one)                                                     'Enable RDS + De-emp)hasis Europe
	MOVLW       4
	MOVWF       FARG_FM_Write_reg+0 
	MOVLW       0
	MOVWF       FARG_FM_Write_value+0 
	MOVLW       24
	MOVWF       FARG_FM_Write_value+1 
	MOVLW       1
	MOVWF       FARG_FM_Write_set_reset+0 
	CALL        _FM_Write+0, 0
;FM_Click.mbas,364 :: 		modShadowReg(0x05, 0xFFFF, zero)                                              'Write default values
	MOVLW       5
	MOVWF       FARG_modShadowReg_reg+0 
	MOVLW       255
	MOVWF       FARG_modShadowReg_value+0 
	MOVLW       255
	MOVWF       FARG_modShadowReg_value+1 
	CLRF        FARG_modShadowReg_set_reset+0 
	CALL        _modShadowReg+0, 0
;FM_Click.mbas,365 :: 		FM_Write(0x05, 0x101F, one)                                                   'RSSI seek Threshold = 0x10, band = Europe, Channel spacing = 100kHZ, Volume = max
	MOVLW       5
	MOVWF       FARG_FM_Write_reg+0 
	MOVLW       31
	MOVWF       FARG_FM_Write_value+0 
	MOVLW       16
	MOVWF       FARG_FM_Write_value+1 
	MOVLW       1
	MOVWF       FARG_FM_Write_set_reset+0 
	CALL        _FM_Write+0, 0
;FM_Click.mbas,366 :: 		Delay_ms(110)                                                                 'Max delay
	MOVLW       5
	MOVWF       R11, 0
	MOVLW       119
	MOVWF       R12, 0
	MOVLW       214
	MOVWF       R13, 0
L__FM_Activate117:
	DECFSZ      R13, 1, 1
	BRA         L__FM_Activate117
	DECFSZ      R12, 1, 1
	BRA         L__FM_Activate117
	DECFSZ      R11, 1, 1
	BRA         L__FM_Activate117
	NOP
;FM_Click.mbas,367 :: 		powerOn = 1                                                                   'Update powerOn flag
	MOVLW       1
	MOVWF       _powerOn+0 
;FM_Click.mbas,368 :: 		result = shadowReg[0]
	MOVF        _shadowReg+0, 0 
	MOVWF       FM_Activate_local_result+0 
;FM_Click.mbas,369 :: 		end sub
	MOVF        FM_Activate_local_result+0, 0 
	MOVWF       R0 
L_end_FM_Activate:
	RETURN      0
; end of _FM_Activate

_FM_Deactivate:

;FM_Click.mbas,372 :: 		sub procedure FM_Deactivate()
;FM_Click.mbas,373 :: 		modShadowReg(0x02,0x4000, zero )
	MOVLW       2
	MOVWF       FARG_modShadowReg_reg+0 
	MOVLW       0
	MOVWF       FARG_modShadowReg_value+0 
	MOVLW       64
	MOVWF       FARG_modShadowReg_value+1 
	CLRF        FARG_modShadowReg_set_reset+0 
	CALL        _modShadowReg+0, 0
;FM_Click.mbas,374 :: 		FM_Write(0x02, 0x0040, one)
	MOVLW       2
	MOVWF       FARG_FM_Write_reg+0 
	MOVLW       64
	MOVWF       FARG_FM_Write_value+0 
	MOVLW       0
	MOVWF       FARG_FM_Write_value+1 
	MOVLW       1
	MOVWF       FARG_FM_Write_set_reset+0 
	CALL        _FM_Write+0, 0
;FM_Click.mbas,375 :: 		powerOn = 0                                                                   'Updare powerOn flag
	CLRF        _powerOn+0 
;FM_Click.mbas,376 :: 		end sub
L_end_FM_Deactivate:
	RETURN      0
; end of _FM_Deactivate

_FMClick_Init:

;FM_Click.mbas,379 :: 		sub procedure FMClick_Init()
;FM_Click.mbas,380 :: 		FM_RST = 1                                                                    'Init chip done - 2wires interface car SDIO=0 et SDEN=1)
	BSF         LATE1_bit+0, BitPos(LATE1_bit+0) 
;FM_Click.mbas,381 :: 		Delay_1ms()
	CALL        _Delay_1ms+0, 0
;FM_Click.mbas,382 :: 		I2C1_Init(100000)                                                             'Initialize I2C module for communication with FM Click board
	MOVLW       80
	MOVWF       SSP1ADD+0 
	CALL        _I2C1_Init+0, 0
;FM_Click.mbas,383 :: 		FM_Read(FM_all_Reg)
	MOVLW       15
	MOVWF       FARG_FM_Read_cmd+0 
	CALL        _FM_Read+0, 0
;FM_Click.mbas,384 :: 		ChipID = shadowReg[14] << 8                                                   'Save Chip ID before powerup.
	MOVF        _shadowReg+14, 0 
	MOVWF       _ChipID+1 
	CLRF        _ChipID+0 
;FM_Click.mbas,385 :: 		ChipID = ChipID OR shadowReg[15]
	MOVF        _shadowReg+15, 0 
	IORWF       _ChipID+0, 1 
	MOVLW       0
	IORWF       _ChipID+1, 1 
;FM_Click.mbas,386 :: 		Delay_1ms()
	CALL        _Delay_1ms+0, 0
;FM_Click.mbas,387 :: 		modShadowReg(0x07, 0x0081, zero)
	MOVLW       7
	MOVWF       FARG_modShadowReg_reg+0 
	MOVLW       129
	MOVWF       FARG_modShadowReg_value+0 
	MOVLW       0
	MOVWF       FARG_modShadowReg_value+1 
	CLRF        FARG_modShadowReg_set_reset+0 
	CALL        _modShadowReg+0, 0
;FM_Click.mbas,388 :: 		FM_Write(0x07, 0x8100, one)                                                   'Activate Crystal Oscillator
	MOVLW       7
	MOVWF       FARG_FM_Write_reg+0 
	MOVLW       0
	MOVWF       FARG_FM_Write_value+0 
	MOVLW       129
	MOVWF       FARG_FM_Write_value+1 
	MOVLW       1
	MOVWF       FARG_FM_Write_set_reset+0 
	CALL        _FM_Write+0, 0
;FM_Click.mbas,389 :: 		Delay_ms(500)
	MOVLW       21
	MOVWF       R11, 0
	MOVLW       75
	MOVWF       R12, 0
	MOVLW       190
	MOVWF       R13, 0
L__FMClick_Init120:
	DECFSZ      R13, 1, 1
	BRA         L__FMClick_Init120
	DECFSZ      R12, 1, 1
	BRA         L__FMClick_Init120
	DECFSZ      R11, 1, 1
	BRA         L__FMClick_Init120
	NOP
;FM_Click.mbas,390 :: 		end sub
L_end_FMClick_Init:
	RETURN      0
; end of _FMClick_Init

_init_RDS:

;FM_Click.mbas,392 :: 		sub procedure init_RDS (dim efface as byte)
;FM_Click.mbas,393 :: 		if efface = 1 then
	MOVF        FARG_init_RDS_efface+0, 0 
	XORLW       1
	BTFSS       STATUS+0, 2 
	GOTO        L__init_RDS123
;FM_Click.mbas,394 :: 		lcd_out(2,1,"                    ")                                         'Efface heure
	MOVLW       2
	MOVWF       FARG_Lcd_Out_row+0 
	MOVLW       1
	MOVWF       FARG_Lcd_Out_column+0 
	MOVLW       32
	MOVWF       ?LocalText_init_RDS+0 
	MOVLW       32
	MOVWF       ?LocalText_init_RDS+1 
	MOVLW       32
	MOVWF       ?LocalText_init_RDS+2 
	MOVLW       32
	MOVWF       ?LocalText_init_RDS+3 
	MOVLW       32
	MOVWF       ?LocalText_init_RDS+4 
	MOVLW       32
	MOVWF       ?LocalText_init_RDS+5 
	MOVLW       32
	MOVWF       ?LocalText_init_RDS+6 
	MOVLW       32
	MOVWF       ?LocalText_init_RDS+7 
	MOVLW       32
	MOVWF       ?LocalText_init_RDS+8 
	MOVLW       32
	MOVWF       ?LocalText_init_RDS+9 
	MOVLW       32
	MOVWF       ?LocalText_init_RDS+10 
	MOVLW       32
	MOVWF       ?LocalText_init_RDS+11 
	MOVLW       32
	MOVWF       ?LocalText_init_RDS+12 
	MOVLW       32
	MOVWF       ?LocalText_init_RDS+13 
	MOVLW       32
	MOVWF       ?LocalText_init_RDS+14 
	MOVLW       32
	MOVWF       ?LocalText_init_RDS+15 
	MOVLW       32
	MOVWF       ?LocalText_init_RDS+16 
	MOVLW       32
	MOVWF       ?LocalText_init_RDS+17 
	MOVLW       32
	MOVWF       ?LocalText_init_RDS+18 
	MOVLW       32
	MOVWF       ?LocalText_init_RDS+19 
	CLRF        ?LocalText_init_RDS+20 
	MOVLW       ?LocalText_init_RDS+0
	MOVWF       FARG_Lcd_Out_text+0 
	MOVLW       hi_addr(?LocalText_init_RDS+0)
	MOVWF       FARG_Lcd_Out_text+1 
	CALL        _Lcd_Out+0, 0
;FM_Click.mbas,395 :: 		lcd_out(1,7,"        ")                                                     'Efface RDS
	MOVLW       1
	MOVWF       FARG_Lcd_Out_row+0 
	MOVLW       7
	MOVWF       FARG_Lcd_Out_column+0 
	MOVLW       32
	MOVWF       ?LocalText_init_RDS+0 
	MOVLW       32
	MOVWF       ?LocalText_init_RDS+1 
	MOVLW       32
	MOVWF       ?LocalText_init_RDS+2 
	MOVLW       32
	MOVWF       ?LocalText_init_RDS+3 
	MOVLW       32
	MOVWF       ?LocalText_init_RDS+4 
	MOVLW       32
	MOVWF       ?LocalText_init_RDS+5 
	MOVLW       32
	MOVWF       ?LocalText_init_RDS+6 
	MOVLW       32
	MOVWF       ?LocalText_init_RDS+7 
	CLRF        ?LocalText_init_RDS+8 
	MOVLW       ?LocalText_init_RDS+0
	MOVWF       FARG_Lcd_Out_text+0 
	MOVLW       hi_addr(?LocalText_init_RDS+0)
	MOVWF       FARG_Lcd_Out_text+1 
	CALL        _Lcd_Out+0, 0
L__init_RDS123:
;FM_Click.mbas,397 :: 		RDS_text = "        "
	MOVLW       32
	MOVWF       _RDS_text+0 
	MOVLW       32
	MOVWF       _RDS_text+1 
	MOVLW       32
	MOVWF       _RDS_text+2 
	MOVLW       32
	MOVWF       _RDS_text+3 
	MOVLW       32
	MOVWF       _RDS_text+4 
	MOVLW       32
	MOVWF       _RDS_text+5 
	MOVLW       32
	MOVWF       _RDS_text+6 
	MOVLW       32
	MOVWF       _RDS_text+7 
	CLRF        _RDS_text+8 
;FM_Click.mbas,398 :: 		for i = 0 to 7
	CLRF        _i+0 
L__init_RDS126:
;FM_Click.mbas,399 :: 		RDS_text[i] = 0
	MOVLW       _RDS_text+0
	MOVWF       FSR1 
	MOVLW       hi_addr(_RDS_text+0)
	MOVWF       FSR1H 
	MOVF        _i+0, 0 
	ADDWF       FSR1, 1 
	BTFSC       STATUS+0, 0 
	INCF        FSR1H, 1 
	CLRF        POSTINC1+0 
;FM_Click.mbas,400 :: 		next i
	MOVF        _i+0, 0 
	XORLW       7
	BTFSC       STATUS+0, 2 
	GOTO        L__init_RDS129
	INCF        _i+0, 1 
	GOTO        L__init_RDS126
L__init_RDS129:
;FM_Click.mbas,401 :: 		flag_RDS = 0                                                                  'No text to display
	BCF         _flag_RDS+0, BitPos(_flag_RDS+0) 
;FM_Click.mbas,402 :: 		flag_Clock = 0                                                                'No time and date to display
	BCF         _flag_Clock+0, BitPos(_flag_Clock+0) 
;FM_Click.mbas,403 :: 		str_size = 0                                                                  'No caractere received
	CLRF        _str_size+0 
;FM_Click.mbas,404 :: 		end sub
L_end_init_RDS:
	RETURN      0
; end of _init_RDS

_affiche_time:

;FM_Click.mbas,406 :: 		sub procedure affiche_time (dim l as byte c as byte)
;FM_Click.mbas,407 :: 		Lcd_Chr(l,c,(th / 10)   + 48)                                             'Affichage de l'heure sur afficheur LCD
	MOVF        FARG_affiche_time_l+0, 0 
	MOVWF       FARG_Lcd_Chr_Row+0 
	MOVF        FARG_affiche_time_c+0, 0 
	MOVWF       FARG_Lcd_Chr_Column+0 
	MOVLW       10
	MOVWF       R4 
	MOVF        _th+0, 0 
	MOVWF       R0 
	CALL        _Div_8x8_U+0, 0
	MOVLW       48
	ADDWF       R0, 0 
	MOVWF       FARG_Lcd_Chr_Out_Char+0 
	CALL        _Lcd_Chr+0, 0
;FM_Click.mbas,408 :: 		Lcd_Chr(l,c+1,(th mod 10)   + 48)
	MOVF        FARG_affiche_time_l+0, 0 
	MOVWF       FARG_Lcd_Chr_Row+0 
	MOVF        FARG_affiche_time_c+0, 0 
	ADDLW       1
	MOVWF       FARG_Lcd_Chr_Column+0 
	MOVLW       10
	MOVWF       R4 
	MOVF        _th+0, 0 
	MOVWF       R0 
	CALL        _Div_8x8_U+0, 0
	MOVF        R8, 0 
	MOVWF       R0 
	MOVLW       48
	ADDWF       R0, 0 
	MOVWF       FARG_Lcd_Chr_Out_Char+0 
	CALL        _Lcd_Chr+0, 0
;FM_Click.mbas,409 :: 		Lcd_chr(l,c+2,":")
	MOVF        FARG_affiche_time_l+0, 0 
	MOVWF       FARG_Lcd_Chr_Row+0 
	MOVLW       2
	ADDWF       FARG_affiche_time_c+0, 0 
	MOVWF       FARG_Lcd_Chr_Column+0 
	MOVLW       58
	MOVWF       FARG_Lcd_Chr_Out_Char+0 
	CALL        _Lcd_Chr+0, 0
;FM_Click.mbas,410 :: 		Lcd_Chr(l,c+3,(tmn / 10) + 48)
	MOVF        FARG_affiche_time_l+0, 0 
	MOVWF       FARG_Lcd_Chr_Row+0 
	MOVLW       3
	ADDWF       FARG_affiche_time_c+0, 0 
	MOVWF       FARG_Lcd_Chr_Column+0 
	MOVLW       10
	MOVWF       R4 
	MOVF        _tmn+0, 0 
	MOVWF       R0 
	CALL        _Div_8x8_U+0, 0
	MOVLW       48
	ADDWF       R0, 0 
	MOVWF       FARG_Lcd_Chr_Out_Char+0 
	CALL        _Lcd_Chr+0, 0
;FM_Click.mbas,411 :: 		Lcd_Chr(l,c+4,(tmn mod 10) + 48)
	MOVF        FARG_affiche_time_l+0, 0 
	MOVWF       FARG_Lcd_Chr_Row+0 
	MOVLW       4
	ADDWF       FARG_affiche_time_c+0, 0 
	MOVWF       FARG_Lcd_Chr_Column+0 
	MOVLW       10
	MOVWF       R4 
	MOVF        _tmn+0, 0 
	MOVWF       R0 
	CALL        _Div_8x8_U+0, 0
	MOVF        R8, 0 
	MOVWF       R0 
	MOVLW       48
	ADDWF       R0, 0 
	MOVWF       FARG_Lcd_Chr_Out_Char+0 
	CALL        _Lcd_Chr+0, 0
;FM_Click.mbas,412 :: 		Lcd_chr(l,c+5,":")
	MOVF        FARG_affiche_time_l+0, 0 
	MOVWF       FARG_Lcd_Chr_Row+0 
	MOVLW       5
	ADDWF       FARG_affiche_time_c+0, 0 
	MOVWF       FARG_Lcd_Chr_Column+0 
	MOVLW       58
	MOVWF       FARG_Lcd_Chr_Out_Char+0 
	CALL        _Lcd_Chr+0, 0
;FM_Click.mbas,413 :: 		Lcd_Chr(l,c+6,(ts / 10) + 48)
	MOVF        FARG_affiche_time_l+0, 0 
	MOVWF       FARG_Lcd_Chr_Row+0 
	MOVLW       6
	ADDWF       FARG_affiche_time_c+0, 0 
	MOVWF       FARG_Lcd_Chr_Column+0 
	MOVLW       10
	MOVWF       R4 
	MOVF        _ts+0, 0 
	MOVWF       R0 
	CALL        _Div_8x8_U+0, 0
	MOVLW       48
	ADDWF       R0, 0 
	MOVWF       FARG_Lcd_Chr_Out_Char+0 
	CALL        _Lcd_Chr+0, 0
;FM_Click.mbas,414 :: 		Lcd_Chr(l,c+7,(ts mod 10) + 48)
	MOVF        FARG_affiche_time_l+0, 0 
	MOVWF       FARG_Lcd_Chr_Row+0 
	MOVLW       7
	ADDWF       FARG_affiche_time_c+0, 0 
	MOVWF       FARG_Lcd_Chr_Column+0 
	MOVLW       10
	MOVWF       R4 
	MOVF        _ts+0, 0 
	MOVWF       R0 
	CALL        _Div_8x8_U+0, 0
	MOVF        R8, 0 
	MOVWF       R0 
	MOVLW       48
	ADDWF       R0, 0 
	MOVWF       FARG_Lcd_Chr_Out_Char+0 
	CALL        _Lcd_Chr+0, 0
;FM_Click.mbas,415 :: 		end sub
L_end_affiche_time:
	RETURN      0
; end of _affiche_time

_affiche_date:

;FM_Click.mbas,417 :: 		sub procedure affiche_date (dim l as byte c as byte)
;FM_Click.mbas,418 :: 		Lcd_Chr(l,c, (tj / 10)   + 48)                                            'Affichage de la date
	MOVF        FARG_affiche_date_l+0, 0 
	MOVWF       FARG_Lcd_Chr_Row+0 
	MOVF        FARG_affiche_date_c+0, 0 
	MOVWF       FARG_Lcd_Chr_Column+0 
	MOVLW       10
	MOVWF       R4 
	MOVF        _tj+0, 0 
	MOVWF       R0 
	CALL        _Div_8x8_U+0, 0
	MOVLW       48
	ADDWF       R0, 0 
	MOVWF       FARG_Lcd_Chr_Out_Char+0 
	CALL        _Lcd_Chr+0, 0
;FM_Click.mbas,419 :: 		Lcd_Chr(l,c+1, (tj mod 10)   + 48)
	MOVF        FARG_affiche_date_l+0, 0 
	MOVWF       FARG_Lcd_Chr_Row+0 
	MOVF        FARG_affiche_date_c+0, 0 
	ADDLW       1
	MOVWF       FARG_Lcd_Chr_Column+0 
	MOVLW       10
	MOVWF       R4 
	MOVF        _tj+0, 0 
	MOVWF       R0 
	CALL        _Div_8x8_U+0, 0
	MOVF        R8, 0 
	MOVWF       R0 
	MOVLW       48
	ADDWF       R0, 0 
	MOVWF       FARG_Lcd_Chr_Out_Char+0 
	CALL        _Lcd_Chr+0, 0
;FM_Click.mbas,420 :: 		Lcd_chr(l,c+2,"-")
	MOVF        FARG_affiche_date_l+0, 0 
	MOVWF       FARG_Lcd_Chr_Row+0 
	MOVLW       2
	ADDWF       FARG_affiche_date_c+0, 0 
	MOVWF       FARG_Lcd_Chr_Column+0 
	MOVLW       45
	MOVWF       FARG_Lcd_Chr_Out_Char+0 
	CALL        _Lcd_Chr+0, 0
;FM_Click.mbas,421 :: 		Lcd_Chr(l,c+3, (tm / 10)   + 48)
	MOVF        FARG_affiche_date_l+0, 0 
	MOVWF       FARG_Lcd_Chr_Row+0 
	MOVLW       3
	ADDWF       FARG_affiche_date_c+0, 0 
	MOVWF       FARG_Lcd_Chr_Column+0 
	MOVLW       10
	MOVWF       R4 
	MOVF        _tm+0, 0 
	MOVWF       R0 
	CALL        _Div_8x8_U+0, 0
	MOVLW       48
	ADDWF       R0, 0 
	MOVWF       FARG_Lcd_Chr_Out_Char+0 
	CALL        _Lcd_Chr+0, 0
;FM_Click.mbas,422 :: 		Lcd_Chr(l,c+4, (tm mod 10)   + 48)
	MOVF        FARG_affiche_date_l+0, 0 
	MOVWF       FARG_Lcd_Chr_Row+0 
	MOVLW       4
	ADDWF       FARG_affiche_date_c+0, 0 
	MOVWF       FARG_Lcd_Chr_Column+0 
	MOVLW       10
	MOVWF       R4 
	MOVF        _tm+0, 0 
	MOVWF       R0 
	CALL        _Div_8x8_U+0, 0
	MOVF        R8, 0 
	MOVWF       R0 
	MOVLW       48
	ADDWF       R0, 0 
	MOVWF       FARG_Lcd_Chr_Out_Char+0 
	CALL        _Lcd_Chr+0, 0
;FM_Click.mbas,423 :: 		Lcd_out(l,c+5,"-20")
	MOVF        FARG_affiche_date_l+0, 0 
	MOVWF       FARG_Lcd_Out_row+0 
	MOVLW       5
	ADDWF       FARG_affiche_date_c+0, 0 
	MOVWF       FARG_Lcd_Out_column+0 
	MOVLW       45
	MOVWF       ?LocalText_affiche_date+0 
	MOVLW       50
	MOVWF       ?LocalText_affiche_date+1 
	MOVLW       48
	MOVWF       ?LocalText_affiche_date+2 
	CLRF        ?LocalText_affiche_date+3 
	MOVLW       ?LocalText_affiche_date+0
	MOVWF       FARG_Lcd_Out_text+0 
	MOVLW       hi_addr(?LocalText_affiche_date+0)
	MOVWF       FARG_Lcd_Out_text+1 
	CALL        _Lcd_Out+0, 0
;FM_Click.mbas,424 :: 		Lcd_Chr(l,c+8, (ty / 10)   + 48)
	MOVF        FARG_affiche_date_l+0, 0 
	MOVWF       FARG_Lcd_Chr_Row+0 
	MOVLW       8
	ADDWF       FARG_affiche_date_c+0, 0 
	MOVWF       FARG_Lcd_Chr_Column+0 
	MOVLW       10
	MOVWF       R4 
	MOVF        _ty+0, 0 
	MOVWF       R0 
	CALL        _Div_8x8_U+0, 0
	MOVLW       48
	ADDWF       R0, 0 
	MOVWF       FARG_Lcd_Chr_Out_Char+0 
	CALL        _Lcd_Chr+0, 0
;FM_Click.mbas,425 :: 		Lcd_Chr(l,c+9, (ty mod 10)   + 48)
	MOVF        FARG_affiche_date_l+0, 0 
	MOVWF       FARG_Lcd_Chr_Row+0 
	MOVLW       9
	ADDWF       FARG_affiche_date_c+0, 0 
	MOVWF       FARG_Lcd_Chr_Column+0 
	MOVLW       10
	MOVWF       R4 
	MOVF        _ty+0, 0 
	MOVWF       R0 
	CALL        _Div_8x8_U+0, 0
	MOVF        R8, 0 
	MOVWF       R0 
	MOVLW       48
	ADDWF       R0, 0 
	MOVWF       FARG_Lcd_Chr_Out_Char+0 
	CALL        _Lcd_Chr+0, 0
;FM_Click.mbas,426 :: 		end sub
L_end_affiche_date:
	RETURN      0
; end of _affiche_date

_main:

;FM_Click.mbas,429 :: 		main:
;FM_Click.mbas,431 :: 		ANSELA = 0                                                               'Configure PORTB pins as digital
	CLRF        ANSELA+0 
;FM_Click.mbas,432 :: 		ANSELB = 0                                                               'Configure PORTB pins as digital
	CLRF        ANSELB+0 
;FM_Click.mbas,433 :: 		ANSELC = 0                                                               'Configure PORTB pins as digital
	CLRF        ANSELC+0 
;FM_Click.mbas,434 :: 		ANSELD = 0                                                               'Configure PORTB pins as digital
	CLRF        ANSELD+0 
;FM_Click.mbas,435 :: 		ANSELE = 0                                                               'Configure PORTB pins as digital
	CLRF        ANSELE+0 
;FM_Click.mbas,436 :: 		SLRCON = 0                                                               'All ports standard slew
	CLRF        SLRCON+0 
;FM_Click.mbas,438 :: 		TRISA0_bit = 0                                                           'Output : led test
	BCF         TRISA0_bit+0, BitPos(TRISA0_bit+0) 
;FM_Click.mbas,439 :: 		LATA0_bit = 1                                                            'Alimente LED
	BSF         LATA0_bit+0, BitPos(LATA0_bit+0) 
;FM_Click.mbas,440 :: 		TRISA1_bit = 1                                                           'Bouton selection menu
	BSF         TRISA1_bit+0, BitPos(TRISA1_bit+0) 
;FM_Click.mbas,441 :: 		TRISA2_bit = 1                                                           'GPIO2 input
	BSF         TRISA2_bit+0, BitPos(TRISA2_bit+0) 
;FM_Click.mbas,442 :: 		TRISD0_bit = 1                                                           'Tune up
	BSF         TRISD0_bit+0, BitPos(TRISD0_bit+0) 
;FM_Click.mbas,443 :: 		TRISD1_bit = 1                                                           'Tune down
	BSF         TRISD1_bit+0, BitPos(TRISD1_bit+0) 
;FM_Click.mbas,444 :: 		TRISD2_bit = 1                                                           'Volume up  and GPIO2 (high impedance)
	BSF         TRISD2_bit+0, BitPos(TRISD2_bit+0) 
;FM_Click.mbas,445 :: 		TRISD3_bit = 1                                                           'Volume down
	BSF         TRISD3_bit+0, BitPos(TRISD3_bit+0) 
;FM_Click.mbas,447 :: 		TRISE1_bit = 0                                                           'RST
	BCF         TRISE1_bit+0, BitPos(TRISE1_bit+0) 
;FM_Click.mbas,448 :: 		FM_RST = 0
	BCF         LATE1_bit+0, BitPos(LATE1_bit+0) 
;FM_Click.mbas,449 :: 		Delay_1ms()
	CALL        _Delay_1ms+0, 0
;FM_Click.mbas,450 :: 		TRISE0_bit = 0                                                           'SEN
	BCF         TRISE0_bit+0, BitPos(TRISE0_bit+0) 
;FM_Click.mbas,451 :: 		FM_SEN = 1                                                               '= 1
	BSF         LATE0_bit+0, BitPos(LATE0_bit+0) 
;FM_Click.mbas,452 :: 		Delay_1ms()
	CALL        _Delay_1ms+0, 0
;FM_Click.mbas,453 :: 		TRISC4_bit = 0                                                           'SDIO
	BCF         TRISC4_bit+0, BitPos(TRISC4_bit+0) 
;FM_Click.mbas,454 :: 		FM_SDIO = 0                                                              '2 wires interface  (SDIO = 0 et SEN = 1 on rising edge of Reset)
	BCF         LATC4_bit+0, BitPos(LATC4_bit+0) 
;FM_Click.mbas,455 :: 		Delay_1ms()
	CALL        _Delay_1ms+0, 0
;FM_Click.mbas,456 :: 		TRISC3_bit = 0                                                           'SCLK
	BCF         TRISC3_bit+0, BitPos(TRISC3_bit+0) 
;FM_Click.mbas,457 :: 		FM_SCLK = 0                                                              'Pas d'importance tant que Reset = 0
	BCF         LATC3_bit+0, BitPos(LATC3_bit+0) 
;FM_Click.mbas,458 :: 		Delay_ms(1)
	MOVLW       11
	MOVWF       R12, 0
	MOVLW       98
	MOVWF       R13, 0
L__main133:
	DECFSZ      R13, 1, 1
	BRA         L__main133
	DECFSZ      R12, 1, 1
	BRA         L__main133
	NOP
;FM_Click.mbas,460 :: 		Lcd_Init()                                                               'Initialize Lcd
	CALL        _Lcd_Init+0, 0
;FM_Click.mbas,461 :: 		Lcd_Cmd(_LCD_CLEAR)                                                      'Clear display
	MOVLW       1
	MOVWF       FARG_Lcd_Cmd_out_char+0 
	CALL        _Lcd_Cmd+0, 0
;FM_Click.mbas,462 :: 		Lcd_Cmd(_LCD_CURSOR_OFF)                                                 'Cursor off
	MOVLW       12
	MOVWF       FARG_Lcd_Cmd_out_char+0 
	CALL        _Lcd_Cmd+0, 0
;FM_Click.mbas,464 :: 		Lcd_out(1,1,"Y. BOURDON FM Click ")
	MOVLW       1
	MOVWF       FARG_Lcd_Out_row+0 
	MOVLW       1
	MOVWF       FARG_Lcd_Out_column+0 
	MOVLW       89
	MOVWF       ?LocalText_main+0 
	MOVLW       46
	MOVWF       ?LocalText_main+1 
	MOVLW       32
	MOVWF       ?LocalText_main+2 
	MOVLW       66
	MOVWF       ?LocalText_main+3 
	MOVLW       79
	MOVWF       ?LocalText_main+4 
	MOVLW       85
	MOVWF       ?LocalText_main+5 
	MOVLW       82
	MOVWF       ?LocalText_main+6 
	MOVLW       68
	MOVWF       ?LocalText_main+7 
	MOVLW       79
	MOVWF       ?LocalText_main+8 
	MOVLW       78
	MOVWF       ?LocalText_main+9 
	MOVLW       32
	MOVWF       ?LocalText_main+10 
	MOVLW       70
	MOVWF       ?LocalText_main+11 
	MOVLW       77
	MOVWF       ?LocalText_main+12 
	MOVLW       32
	MOVWF       ?LocalText_main+13 
	MOVLW       67
	MOVWF       ?LocalText_main+14 
	MOVLW       108
	MOVWF       ?LocalText_main+15 
	MOVLW       105
	MOVWF       ?LocalText_main+16 
	MOVLW       99
	MOVWF       ?LocalText_main+17 
	MOVLW       107
	MOVWF       ?LocalText_main+18 
	MOVLW       32
	MOVWF       ?LocalText_main+19 
	CLRF        ?LocalText_main+20 
	MOVLW       ?LocalText_main+0
	MOVWF       FARG_Lcd_Out_text+0 
	MOVLW       hi_addr(?LocalText_main+0)
	MOVWF       FARG_Lcd_Out_text+1 
	CALL        _Lcd_Out+0, 0
;FM_Click.mbas,465 :: 		Lcd_out(2,1," V1.00   (c) 2013   ")
	MOVLW       2
	MOVWF       FARG_Lcd_Out_row+0 
	MOVLW       1
	MOVWF       FARG_Lcd_Out_column+0 
	MOVLW       32
	MOVWF       ?LocalText_main+0 
	MOVLW       86
	MOVWF       ?LocalText_main+1 
	MOVLW       49
	MOVWF       ?LocalText_main+2 
	MOVLW       46
	MOVWF       ?LocalText_main+3 
	MOVLW       48
	MOVWF       ?LocalText_main+4 
	MOVLW       48
	MOVWF       ?LocalText_main+5 
	MOVLW       32
	MOVWF       ?LocalText_main+6 
	MOVLW       32
	MOVWF       ?LocalText_main+7 
	MOVLW       32
	MOVWF       ?LocalText_main+8 
	MOVLW       40
	MOVWF       ?LocalText_main+9 
	MOVLW       99
	MOVWF       ?LocalText_main+10 
	MOVLW       41
	MOVWF       ?LocalText_main+11 
	MOVLW       32
	MOVWF       ?LocalText_main+12 
	MOVLW       50
	MOVWF       ?LocalText_main+13 
	MOVLW       48
	MOVWF       ?LocalText_main+14 
	MOVLW       49
	MOVWF       ?LocalText_main+15 
	MOVLW       51
	MOVWF       ?LocalText_main+16 
	MOVLW       32
	MOVWF       ?LocalText_main+17 
	MOVLW       32
	MOVWF       ?LocalText_main+18 
	MOVLW       32
	MOVWF       ?LocalText_main+19 
	CLRF        ?LocalText_main+20 
	MOVLW       ?LocalText_main+0
	MOVWF       FARG_Lcd_Out_text+0 
	MOVLW       hi_addr(?LocalText_main+0)
	MOVWF       FARG_Lcd_Out_text+1 
	CALL        _Lcd_Out+0, 0
;FM_Click.mbas,466 :: 		FMClick_Init()
	CALL        _FMClick_Init+0, 0
;FM_Click.mbas,467 :: 		FM_activate
	CALL        _FM_Activate+0, 0
;FM_Click.mbas,468 :: 		lcd_out(3,1,"Power - Wait Freq...")
	MOVLW       3
	MOVWF       FARG_Lcd_Out_row+0 
	MOVLW       1
	MOVWF       FARG_Lcd_Out_column+0 
	MOVLW       80
	MOVWF       ?LocalText_main+0 
	MOVLW       111
	MOVWF       ?LocalText_main+1 
	MOVLW       119
	MOVWF       ?LocalText_main+2 
	MOVLW       101
	MOVWF       ?LocalText_main+3 
	MOVLW       114
	MOVWF       ?LocalText_main+4 
	MOVLW       32
	MOVWF       ?LocalText_main+5 
	MOVLW       45
	MOVWF       ?LocalText_main+6 
	MOVLW       32
	MOVWF       ?LocalText_main+7 
	MOVLW       87
	MOVWF       ?LocalText_main+8 
	MOVLW       97
	MOVWF       ?LocalText_main+9 
	MOVLW       105
	MOVWF       ?LocalText_main+10 
	MOVLW       116
	MOVWF       ?LocalText_main+11 
	MOVLW       32
	MOVWF       ?LocalText_main+12 
	MOVLW       70
	MOVWF       ?LocalText_main+13 
	MOVLW       114
	MOVWF       ?LocalText_main+14 
	MOVLW       101
	MOVWF       ?LocalText_main+15 
	MOVLW       113
	MOVWF       ?LocalText_main+16 
	MOVLW       46
	MOVWF       ?LocalText_main+17 
	MOVLW       46
	MOVWF       ?LocalText_main+18 
	MOVLW       46
	MOVWF       ?LocalText_main+19 
	CLRF        ?LocalText_main+20 
	MOVLW       ?LocalText_main+0
	MOVWF       FARG_Lcd_Out_text+0 
	MOVLW       hi_addr(?LocalText_main+0)
	MOVWF       FARG_Lcd_Out_text+1 
	CALL        _Lcd_Out+0, 0
;FM_Click.mbas,469 :: 		FM_Tune(1036)
	MOVLW       12
	MOVWF       FARG_FM_Tune_freq+0 
	MOVLW       4
	MOVWF       FARG_FM_Tune_freq+1 
	CALL        _FM_Tune+0, 0
;FM_Click.mbas,470 :: 		lcd_out(4,1,"      Tuned !       ")
	MOVLW       4
	MOVWF       FARG_Lcd_Out_row+0 
	MOVLW       1
	MOVWF       FARG_Lcd_Out_column+0 
	MOVLW       32
	MOVWF       ?LocalText_main+0 
	MOVLW       32
	MOVWF       ?LocalText_main+1 
	MOVLW       32
	MOVWF       ?LocalText_main+2 
	MOVLW       32
	MOVWF       ?LocalText_main+3 
	MOVLW       32
	MOVWF       ?LocalText_main+4 
	MOVLW       32
	MOVWF       ?LocalText_main+5 
	MOVLW       84
	MOVWF       ?LocalText_main+6 
	MOVLW       117
	MOVWF       ?LocalText_main+7 
	MOVLW       110
	MOVWF       ?LocalText_main+8 
	MOVLW       101
	MOVWF       ?LocalText_main+9 
	MOVLW       100
	MOVWF       ?LocalText_main+10 
	MOVLW       32
	MOVWF       ?LocalText_main+11 
	MOVLW       33
	MOVWF       ?LocalText_main+12 
	MOVLW       32
	MOVWF       ?LocalText_main+13 
	MOVLW       32
	MOVWF       ?LocalText_main+14 
	MOVLW       32
	MOVWF       ?LocalText_main+15 
	MOVLW       32
	MOVWF       ?LocalText_main+16 
	MOVLW       32
	MOVWF       ?LocalText_main+17 
	MOVLW       32
	MOVWF       ?LocalText_main+18 
	MOVLW       32
	MOVWF       ?LocalText_main+19 
	CLRF        ?LocalText_main+20 
	MOVLW       ?LocalText_main+0
	MOVWF       FARG_Lcd_Out_text+0 
	MOVLW       hi_addr(?LocalText_main+0)
	MOVWF       FARG_Lcd_Out_text+1 
	CALL        _Lcd_Out+0, 0
;FM_Click.mbas,472 :: 		volume = 08                                                              'Default volume
	MOVLW       8
	MOVWF       _volume+0 
;FM_Click.mbas,473 :: 		setVolume(volume)
	MOVLW       8
	MOVWF       FARG_SetVolume_vol+0 
	CALL        _SetVolume+0, 0
;FM_Click.mbas,474 :: 		delay_ms(5)
	MOVLW       52
	MOVWF       R12, 0
	MOVLW       241
	MOVWF       R13, 0
L__main134:
	DECFSZ      R13, 1, 1
	BRA         L__main134
	DECFSZ      R12, 1, 1
	BRA         L__main134
	NOP
	NOP
;FM_Click.mbas,476 :: 		delay_ms(2000)
	MOVLW       82
	MOVWF       R11, 0
	MOVLW       43
	MOVWF       R12, 0
	MOVLW       0
	MOVWF       R13, 0
L__main135:
	DECFSZ      R13, 1, 1
	BRA         L__main135
	DECFSZ      R12, 1, 1
	BRA         L__main135
	DECFSZ      R11, 1, 1
	BRA         L__main135
	NOP
;FM_Click.mbas,477 :: 		lcd_cmd(_lcd_clear)
	MOVLW       1
	MOVWF       FARG_Lcd_Cmd_out_char+0 
	CALL        _Lcd_Cmd+0, 0
;FM_Click.mbas,478 :: 		init_RDS(0)                                                              'Initialisation du RDS sans effacement des infos
	CLRF        FARG_init_RDS_efface+0 
	CALL        _init_RDS+0, 0
;FM_Click.mbas,480 :: 		while true
L__main137:
;FM_Click.mbas,482 :: 		if Button(PORTD,0,5,0) then
	MOVLW       PORTD+0
	MOVWF       FARG_Button_port+0 
	MOVLW       hi_addr(PORTD+0)
	MOVWF       FARG_Button_port+1 
	CLRF        FARG_Button_pin+0 
	MOVLW       5
	MOVWF       FARG_Button_time+0 
	CLRF        FARG_Button_activeState+0 
	CALL        _Button+0, 0
	MOVF        R0, 1 
	BTFSC       STATUS+0, 2 
	GOTO        L__main142
;FM_Click.mbas,483 :: 		init_RDS(1)                                                           'Chgt station donc init RDS et effacement des infos
	MOVLW       1
	MOVWF       FARG_init_RDS_efface+0 
	CALL        _init_RDS+0, 0
;FM_Click.mbas,484 :: 		FM_Seek(1)                                                            'Seek up
	MOVLW       1
	MOVWF       FARG_FM_Seek_direction+0 
	CALL        _FM_Seek+0, 0
L__main142:
;FM_Click.mbas,486 :: 		if Button(PORTD,1,5,0) then
	MOVLW       PORTD+0
	MOVWF       FARG_Button_port+0 
	MOVLW       hi_addr(PORTD+0)
	MOVWF       FARG_Button_port+1 
	MOVLW       1
	MOVWF       FARG_Button_pin+0 
	MOVLW       5
	MOVWF       FARG_Button_time+0 
	CLRF        FARG_Button_activeState+0 
	CALL        _Button+0, 0
	MOVF        R0, 1 
	BTFSC       STATUS+0, 2 
	GOTO        L__main145
;FM_Click.mbas,487 :: 		init_RDS(1)                                                           'Chgt station donc init RDS et effacement des infos
	MOVLW       1
	MOVWF       FARG_init_RDS_efface+0 
	CALL        _init_RDS+0, 0
;FM_Click.mbas,488 :: 		FM_Seek(0)                                                            'Seek down
	CLRF        FARG_FM_Seek_direction+0 
	CALL        _FM_Seek+0, 0
L__main145:
;FM_Click.mbas,490 :: 		if Button(PORTD,2,5,0) then                                              'Volume up
	MOVLW       PORTD+0
	MOVWF       FARG_Button_port+0 
	MOVLW       hi_addr(PORTD+0)
	MOVWF       FARG_Button_port+1 
	MOVLW       2
	MOVWF       FARG_Button_pin+0 
	MOVLW       5
	MOVWF       FARG_Button_time+0 
	CLRF        FARG_Button_activeState+0 
	CALL        _Button+0, 0
	MOVF        R0, 1 
	BTFSC       STATUS+0, 2 
	GOTO        L__main148
;FM_Click.mbas,491 :: 		if volume <15 then volume = volume + 1 end if
	MOVLW       15
	SUBWF       _volume+0, 0 
	BTFSC       STATUS+0, 0 
	GOTO        L__main151
	INCF        _volume+0, 1 
L__main151:
;FM_Click.mbas,492 :: 		Setvolume(volume)
	MOVF        _volume+0, 0 
	MOVWF       FARG_SetVolume_vol+0 
	CALL        _SetVolume+0, 0
L__main148:
;FM_Click.mbas,494 :: 		if Button(PORTD,3,5,0) then                                              'volume down
	MOVLW       PORTD+0
	MOVWF       FARG_Button_port+0 
	MOVLW       hi_addr(PORTD+0)
	MOVWF       FARG_Button_port+1 
	MOVLW       3
	MOVWF       FARG_Button_pin+0 
	MOVLW       5
	MOVWF       FARG_Button_time+0 
	CLRF        FARG_Button_activeState+0 
	CALL        _Button+0, 0
	MOVF        R0, 1 
	BTFSC       STATUS+0, 2 
	GOTO        L__main154
;FM_Click.mbas,495 :: 		if volume > 0 then volume = volume - 1 end if
	MOVF        _volume+0, 0 
	SUBLW       0
	BTFSC       STATUS+0, 0 
	GOTO        L__main157
	DECF        _volume+0, 1 
L__main157:
;FM_Click.mbas,496 :: 		SetVolume(volume)
	MOVF        _volume+0, 0 
	MOVWF       FARG_SetVolume_vol+0 
	CALL        _SetVolume+0, 0
L__main154:
;FM_Click.mbas,499 :: 		Refresh_Freq_Rds_Rssi
	CALL        _Refresh_Freq_Rds_Rssi+0, 0
;FM_Click.mbas,500 :: 		Affiche_fm                                                               'Display : Freq + Stereo/mono + Rssi + volume
	CALL        _affiche_fm+0, 0
;FM_Click.mbas,501 :: 		Rds_scan
	CALL        _Rds_scan+0, 0
;FM_Click.mbas,502 :: 		if flag_RDS = 1 then                                                         'On a bien reu 8 caractres et donc on affiche
	BTFSS       _flag_RDS+0, BitPos(_flag_RDS+0) 
	GOTO        L__main160
;FM_Click.mbas,503 :: 		lcd_out(1,7,RDS_text)
	MOVLW       1
	MOVWF       FARG_Lcd_Out_row+0 
	MOVLW       7
	MOVWF       FARG_Lcd_Out_column+0 
	MOVLW       _RDS_text+0
	MOVWF       FARG_Lcd_Out_text+0 
	MOVLW       hi_addr(_RDS_text+0)
	MOVWF       FARG_Lcd_Out_text+1 
	CALL        _Lcd_Out+0, 0
;FM_Click.mbas,504 :: 		init_RDS(0)
	CLRF        FARG_init_RDS_efface+0 
	CALL        _init_RDS+0, 0
L__main160:
;FM_Click.mbas,506 :: 		if flag_Clock = 1 then
	BTFSS       _flag_Clock+0, BitPos(_flag_Clock+0) 
	GOTO        L__main163
;FM_Click.mbas,507 :: 		affiche_time(2,1)
	MOVLW       2
	MOVWF       FARG_affiche_time_l+0 
	MOVLW       1
	MOVWF       FARG_affiche_time_c+0 
	CALL        _affiche_time+0, 0
;FM_Click.mbas,508 :: 		affiche_date(2,11)
	MOVLW       2
	MOVWF       FARG_affiche_date_l+0 
	MOVLW       11
	MOVWF       FARG_affiche_date_c+0 
	CALL        _affiche_date+0, 0
L__main163:
;FM_Click.mbas,511 :: 		LATA0_bit = not LATA0_bit                                                   'Toggle A0
	BTG         LATA0_bit+0, BitPos(LATA0_bit+0) 
;FM_Click.mbas,513 :: 		wend
	GOTO        L__main137
L_end_main:
	GOTO        $+0
; end of _main
